<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="format-detection" content="telephone=no">
    <link rel="profile" href="http://gmpg.org/xfn/11">

    <?php wp_head(); ?>
	<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-35563759-3"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-35563759-3');
</script>

</head>
<body <?php body_class(); ?>>
<?php
$page_loader = inspiry_get_option( 'inspiry_page_loader' );
$page_loader_url = inspiry_get_option( 'inspiry_page_loader_gif', 'url' );

/*
 * Page loader
 */
if ( $page_loader  == '1' ) {
    if ( !empty( $page_loader_url ) ) {
        ?>
        <div class="preloader">
            <div class="loadr">
                <img class="page-loader-img" src="<?php echo esc_url( $page_loader_url ); ?>" alt="<?php esc_html_e('Loading...', 'inspiry-recipe-press'); ?>"/>
            </div>
        </div>
        <?php
    } else {
        ?>
        <!--pre-loader-->
        <div class="preloader">
            <div class="loadr">
                <svg  viewbox="0 0 74.6 81">
                    <path d="M67.8,12.9C51.7,5.2,26.2,0.2,26.2,0.2c-10.9-1.8-9.3,11.4-9,20.2c0,0.7,0.1,1.4,0.1,2c7.8,1.5,19.7,4,29.2,7.4c11.4,4.1,9.6,8.3,9.2,16c-0.2,4.9-0.4,14,1.1,21.3c7.7,1.4,13.8,1.9,13.1-0.3c-6.3-7.2-0.1-29.6,1.8-34.2C73.3,28.7,79.3,18.4,67.8,12.9z">      </path>
                    <path d="M58.9,79.5c-6.5-5.6-6.2-23.6-5.8-31.3c0.4-7.7,2.1-11.9-9.2-16c-15.3-5.5-37.3-8.8-37.3-8.8c-9.1-1.1-6.6,8.4-5.5,15.1c1.7,10,5.4,22,7.9,27.8c2.8,6.5,8.9,7.3,8.9,7.3S65.4,85.1,58.9,79.5z"></path>
                </svg>
            </div>
        </div>
        <!--pre-loader ends-->
        <?php
    }
}

global $inspiry_header_styles;
$custom_header = get_custom_header();
$header_bg_url = $custom_header->thumbnail_url;
$header_variation = inspiry_get_option( 'inspiry_header_variation' );

if( !empty( $header_bg_url ) ){
	$inspiry_header_styles = 'style="background-image: url(\'' . esc_url( $header_bg_url ) . '\');"';
}

if ( $header_variation == '3' ) {

    get_template_part( 'partials/header/variation-three' );

} elseif( $header_variation == '2' ) {

    get_template_part( 'partials/header/variation-two' );

} else {

    get_template_part( 'partials/header/variation-one' );

}
?>