<?php
/*
 * Header Options
 */

global $opt_name;
global $fontawesomeurl;

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Header', 'inspiry-recipe-press'),
    'id'    => 'header-section',
    'desc'  => esc_html__('This section contains options for header.', 'inspiry-recipe-press'),
    'fields'=> array(

	    array(
		    'id'    => 'inspiry_logo_favicon_notice',
		    'type'  => 'info',
		    'style' => 'success',
		    'title' => __('Site Logo and Favicon!', 'inspiry-recipe-press'),
		    'icon'  => 'el-icon-info-sign',
		    'desc'  => __( 'You need to set the website logo and favicon (site icon in browser title bar) from Appearance > Customize > Site Identity.', 'inspiry-recipe-press')
	    ),
	    array(
		    'id'   =>'inspiry_logo_favicon_divider',
		    'type' => 'divide'
	    ),
        array(
            'id'        => 'inspiry_header_variation',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Header Design Variation', 'inspiry-recipe-press' ),
            'subtitle'  => esc_html__( 'Select the design variation that you want to use for site header.', 'inspiry-recipe-press' ),
            'options'   => array(
                '1' => array(
                    'alt' => esc_html__('1st Variation', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/header/variation-1.jpg',
                ),
                '2' => array(
                    'alt' => esc_html__('2nd Variation', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/header/variation-2.jpg',
                ),
                '3' => array(
                    'alt' => esc_html__('3rd Variation', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/header/variation-3.jpg',
                )
            ),
            'default'   => '1',
        ),
        array(
            'id'        => 'inspiry_header_menu_v3',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Header Menu Variation', 'inspiry-recipe-press' ),
            'subtitle'  => esc_html__( 'Select the menu variation that you want to use for third header.', 'inspiry-recipe-press' ),
            'options'   => array(
                '1' => array(
                    'alt' => esc_html__('Black Text', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/header/v5-menu-black.jpg',
                ),
                '2' => array(
                    '' => esc_html__('White Text', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/header/v5-menu-white.jpg',
                )
            ),
            'default'   => '1',
            'required'  => array('inspiry_header_variation', '=', '3')
        ),
        array(
            'id'        => 'inspiry_header_ad_box',
            'type'      => 'textarea',
            'title'     => esc_html__('Header Advertisement Box', 'inspiry-recipe-press'),
            'desc'  => esc_html__('You can paste advertisement code here.', 'inspiry-recipe-press'),
            'required'  => array('inspiry_header_variation', '=', '3')
        ),
	    array(
		    'id'        => 'display_sticky_header_menu',
		    'type'      => 'switch',
		    'title'     => esc_html__('Show Sticky Header Menu', 'inspiry-recipe-press'),
		    'default'   => 0,
		    'on'        => esc_html__('Show','inspiry-recipe-press'),
		    'off'       => esc_html__('Hide','inspiry-recipe-press'),
	    ),
        array(
            'id'        => 'inspiry_header_email',
            'type'      => 'text',
            'title'     => esc_html__( 'Email Address', 'inspiry-recipe-press' ),
            'default'   => '',
            'validate'  => 'email',
            'required'  => array( 'inspiry_header_variation', '=', 3 ),
        ),
        array(
            'id'        => 'inspiry_header_phone',
            'type'      => 'text',
            'title'     => esc_html__( 'Phone Number', 'inspiry-recipe-press' ),
            'default'   => '',
        ),
        array(
            'id'       => 'inspiry_banner_image',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__('Banner Image', 'inspiry-recipe-press'),
            'desc'     => esc_html__('Banner image should have minimum width of 2000px and minimum height of 320px.', 'inspiry-recipe-press'),
            'subtitle' => esc_html__('This banner image will be displayed on all the pages where banner image is not overridden by page specific banner settings.', 'inspiry-recipe-press'),
        ),
        array(
            'id'        => 'inspiry_page_loader',
            'type'      => 'switch',
            'title'     => esc_html__('Page Loader', 'inspiry-recipe-press'),
            'desc'     => esc_html__('You can enable or disable page loader.', 'inspiry-recipe-press'),
            'on'        => esc_html__('Enable','inspiry-recipe-press'),
            'off'       => esc_html__('Disable','inspiry-recipe-press'),
            'default'   => 'on'
        ),
        array(
            'id'       => 'inspiry_page_loader_gif',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Page Loader Gif', 'inspiry-recipe-press' ),
            'desc'     => esc_html__( 'Do not upload any loader if you want to use default one.', 'inspiry-recipe-press' ),
            'required' => array( 'inspiry_page_loader', '=', 1 ),
        )

    ) ) );