<?php
/*
 * Home Chefs Options
 */

global $opt_name,
       $inspiry_chefs_array,
       $inspiry_recipes_array;

$inspiry_chefs_array = array();
$chefs_posts = get_posts( array (
    'post_type' => 'inspiry_chef',
    'posts_per_page' => 50,
    'suppress_filters' => 0,
) );
$chef_info = '';
if ( ! empty ( $chefs_posts ) ) {
    foreach ( $chefs_posts as $chefs_post ) {
        $inspiry_chefs_array[ $chefs_post->ID ] = $chefs_post->post_title;
    }
}

$inspiry_recipes_array = array();
$recipes_posts = get_posts( array (
    'post_type' => 'inspiry_recipes',
    'posts_per_page' => 500,
    'suppress_filters' => 0,
) );

if ( ! empty ( $recipes_posts ) ) {
    foreach ( $recipes_posts as $recipes_post ) {
        $inspiry_recipes_array[ $recipes_post->ID ] = $recipes_post->post_title;
    }
}

Redux::setSection(
    $opt_name,
    array(
        'title' => esc_html__( 'Chefs Section', 'inspiry-recipe-press' ),
        'id'    => 'chefs-home-section',
        'desc'  => esc_html__( 'This section contains home chef section related options.', 'inspiry-recipe-press' ),
        'subsection' => true,
        'fields'=> array(
            array(
                'id'        => 'inspiry_home_chefs_variation',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Chefs variations', 'inspiry-recipe-press' ),
                'subtitle'  => esc_html__( 'Select the design variation that you want to use for homepage chefs section.', 'inspiry-recipe-press' ),
                'options'   => array(
                    '1' => array(
                        'alt' => esc_html__( '1st Variation', 'inspiry-recipe-press' ),
                        'img' => get_template_directory_uri() . '/inc/theme-options/images/home/chefs-v1.jpg',
                    ),
                    '2' => array(
                        'alt' => esc_html__( '2nd Variation', 'inspiry-recipe-press' ),
                        'img' => get_template_directory_uri() . '/inc/theme-options/images/home/chefs-v2.jpg',
                    )
                ),
                'default'   => '1',
            ),
            array(
                'id'       => 'inspiry_home_chefs_display_type',
                'type'     => 'button_set',
                'title'    => esc_html__( 'How you want to list chefs?', 'inspiry-recipe-press' ),
                'options'  => array(
                    'recent'        => esc_html__( 'Recent', 'inspiry-recipe-press' ),
                    'selected'        => esc_html__( 'Selected', 'inspiry-recipe-press' )
                ),
                'default'  => 'recent'
            ),
            array(
                'id'       => 'inspiry_home_chefs_heading',
                'type'     => 'text',
                'title'    => esc_html__( 'Provide Chefs section title', 'inspiry-recipe-press' ),
                'default'  => esc_html__( 'Our Chefs', 'inspiry-recipe-press' )
            ),
            array(
                'id'   => 'inspiry_home_chef_post_count',
                'type'     => 'select',
                'title'    => esc_html__( 'Number of chefs to display', 'inspiry-recipe-press' ),
                'options'  => array(
                    4  => '4',
                    8  => '8',
                    12  => '12',
                    16  => '16'
                ),
                'default'  => 4,
                'select2'  => array( 'allowClear' => false ),
                'required' => array( 'inspiry_home_chefs_display_type', '=', 'recent' )
            ),
            array(
                'id'       => 'inspiry_chef_ids_to_display_sa',
                'type'     => 'sortable',
                'title'    => esc_html__( 'Select Chefs to display.', 'inspiry-recipe-press' ),
                'desc'    => esc_html__( 'You can rearrange chefs to display on front end.', 'inspiry-recipe-press' ),
                'options'  => $inspiry_chefs_array,
                'required' => array( 'inspiry_home_chefs_display_type', '=', 'selected' ),
                'mode'     => 'checkbox'
            ),
            array(
                'id'        => 'inspiry_home_chef_corner_image',
                'type'      => 'media',
                'title'     => esc_html__( 'Corner Image', 'inspiry-recipe-press' ),
                'subtitle'  => esc_html__( 'Upload an image for corner of chef section. Image will not appear on full width slider.', 'inspiry-recipe-press' ),
                'required' => array( 'inspiry_home_chefs_variation', 'equals', '1' )
            ),
            array(
                'id'       => 'inspiry_home_chef_corner_image_side',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Select a side for corner image', 'inspiry-recipe-press' ),
                'options'  => array(
                    'left-bottom'        => esc_html__( 'Left Bottom', 'inspiry-recipe-press' ),
                    'right-bottom'        => esc_html__( 'Right Bottom', 'inspiry-recipe-press' )
                ),
                'default'  => 'left-bottom',
                'required' => array( 'inspiry_home_chefs_variation', 'equals', '1' )
            ),
            array(
                'id'            => 'inspiry_home_chef_corner_image_margin',
                'type'          => 'spacing',
                'output'        => array( '.chefs-corner-image' ),
                'mode'          => 'margin',
                'title'         => esc_html__( 'Margins', 'inspiry-recipe-press' ),
                'desc'         => esc_html__( 'Give margins according to your side selections. Left margin for left bottom side and right for right bottom.', 'inspiry-recipe-press' ),
                'units'          => array( 'em', 'px' ),
                'units_extended' => 'false',
                'top'           => false,
                'default'            => array(
                    'margin-right'   => '-300px',
                    'margin-bottom'  => '-100px',
                    'margin-left'    => '',
                    'units'          => 'px'
                ),
                'required' => array( 'inspiry_home_chefs_variation', 'equals', '1' )
            )
        )
    )
);