<?php
/*
 * Home Banner Options
 */

global $opt_name;

Redux::setSection(
    $opt_name,
    array(
        'title' => esc_html__( 'My Recipes Template', 'inspiry-recipe-press' ),
        'id'    => 'my-recipes-members-section',
        'desc'  => esc_html__( 'This section contains options related to My Recipes Template.', 'inspiry-recipe-press' ),
        'subsection' => true,
        'fields'=> array(
	        array(
		        'id'       => 'inspiry_my_recipes_page',
		        'type'     => 'select',
		        'data'     => 'pages',
		        'title'    => esc_html__( 'My Recipes Page', 'inspiry-recipe-press' ),
		        'desc'     => esc_html__( 'Select a page which has My Recipes template selected.', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id' => 'inspiry_my_recipes_count',
		        'type' => 'select',
		        'title' => esc_html__( 'Number of recipes on My Recipes page', 'inspiry-recipe-press' ),
		        'options' => array(
			        3 => '3',
			        4 => '4',
			        5 => '5',
			        6 => '6',
			        7 => '7',
			        8 => '8',
			        9 => '9',
			        10 => '10',
			        11 => '11',
			        12 => '12',
			        13=> '13'
		        ),
		        'default' => 8,
		        'select2' => array('allowClear' => false)
	        ),
	        array(
		        'id'       => 'inspiry_recipe_force_delete',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Allow force delete recipe.', 'inspiry-recipe-press' ),
		        'subtitle'    => esc_html__( 'Do you want to allow force delete recipe from the front end by bypassing the trash.', 'inspiry-recipe-press' ),
		        'desc'    => esc_html__( 'Enabling this option will allow users to delete their recipes with falling them to trash.', 'inspiry-recipe-press' ),
		        'default'  => 0,
		        'true'       => esc_html__( 'Allowed', 'inspiry-recipe-press' ),
		        'false'      => esc_html__( 'No Allowed', 'inspiry-recipe-press' ),
	        )
        )
    )
);