<?php
/*
 * Members Options
 */
global $opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Members', 'inspiry-recipe-press' ),
    'id'    => 'memebers-section',
    'desc'  => esc_html__( 'This section contains options related to registered users.', 'inspiry-recipe-press' ),
    'fields'=> array(

        array(
            'id'       => 'inspiry_header_user_nav',
            'type'     => 'switch',
            'title'    => esc_html__( 'User Navigation in Header', 'inspiry-recipe-press' ),
            'default'  => 1,
            'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
            'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
        ),
	    array(
		    'id'       => 'inspiry_reCaptcha_for_register_popup',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Show reCaptcha in login/register popup', 'inspiry-recipe-press' ),
		    'desc'    => esc_html__( 'You must provide the Site and Secret keys for google reCaptcha v3 in General Options', 'inspiry-recipe-press' ),
		    'default'  => 0,
		    'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		    'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	    ),
        array(
            'id'       => 'inspiry_header_user_nav_submit_link',
            'type'     => 'switch',
            'title'    => esc_html__( 'Submit button in Header User nav', 'inspiry-recipe-press' ),
            'default'  => 0,
            'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
            'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
        ),
	    array(
		    'id'       => 'inspiry_restrict_user_level',
		    'type'     => 'select',
		    'title'    => esc_html__( 'Restrict Admin Side Access', 'inspiry-recipe-press' ),
		    'desc'     => esc_html__( 'Restrict admin side access to any user level equal to or below the selected user level.', 'inspiry-recipe-press' ),
		    'options'  => array(
			    '0' => esc_html__( 'Subscriber ( Level 0 )', 'inspiry-recipe-press' ),
			    '1' => esc_html__( 'Contributor ( Level 1 )', 'inspiry-recipe-press' ),
			    '2' => esc_html__( 'Author ( Level 2 )', 'inspiry-recipe-press' ),
		    ),
		    'select2' => array(
			    'allowClear' => false,
			    'minimumResultsForSearch' => 'Infinity'
		    )
	    ),
	    array(
		    'id'       => 'inspiry_edit_profile_page',
		    'type'     => 'select',
		    'data'     => 'pages',
		    'title'    => esc_html__( 'Edit Profile Page', 'inspiry-recipe-press' ),
		    'desc'     => esc_html__( 'Select a page which has Edit Profile template selected.', 'inspiry-recipe-press' ),
	    )
    ) )
);

/* Submit Recipe Template Sub Section */
require_once get_template_directory() . '/inc/theme-options/member-options/submit-options.php';

/* My Recipes Template Sub Section */
require_once get_template_directory() . '/inc/theme-options/member-options/my-recipes-options.php';