<?php
/*
 * Recipe Listing Options
 */

global $opt_name;

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Recipe Listing', 'inspiry-recipe-press' ),
    'id'    => 'recipe-listing-section',
    'desc'  => esc_html__( 'This section contains options related recipe listing page.', 'inspiry-recipe-press' ),
    'fields'=> array(

        array(
            'id'       => 'inspiry_recipes_listing_heading',
            'type'     => 'text',
            'title'    => esc_html__( 'Recipes listing heading', 'inspiry-recipe-press' ),
            'default'  => 'Recent Recipes'
        ),
        array(
            'id' => 'inspiry_recipes_listing_count',
            'type' => 'select',
            'title' => esc_html__('Number of recipes per page', 'inspiry-recipe-press'),
            'options' => array(
                3 => '3',
                4 => '4',
                5 => '5',
                6 => '6',
                7 => '7',
                8 => '8',
                9 => '9',
                10 => '10',
                11 => '11',
                12 => '12',
                13 => '13',
                14 => '14',
                15 => '15'
            ),
            'default' => 6,
            'select2' => array('allowClear' => false)
        ),
        array(
            'id'       => 'inspiry_recipe_default_view',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Select default listing type', 'inspiry-recipe-press' ),
            'desc'    => esc_html__( 'This option will affect recipe listing, recipe search and recipe taxonomy templates.', 'inspiry-recipe-press' ),
            'options'  => array(
                'grid' => esc_html__( 'Grid View', 'inspiry-recipe-press' ),
                'list' => esc_html__( 'List View', 'inspiry-recipe-press' ),
            ),
            'default'  => 'list',
        ),
	    array(
		    'id'       => 'inspiy_listing_nut_box_status',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Nutrients Boxes on Recipe Listing ', 'inspiry-recipe-press' ),
		    'default'  => 1,
		    'on'       => esc_html__( 'Enable', 'inspiry-recipe-press' ),
		    'off'      => esc_html__( 'Disable', 'inspiry-recipe-press' ),
	    ),
	    array(
		    'id'       => 'inspiy_listing_ingre_box_status',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Ingredients Boxes on Recipe Listing ', 'inspiry-recipe-press' ),
		    'default'  => 1,
		    'on'       => esc_html__( 'Enable', 'inspiry-recipe-press' ),
		    'off'      => esc_html__( 'Disable', 'inspiry-recipe-press' ),
	    )
    ) )
);