<?php
/*
 * Recipe Options
 */
global $opt_name;
Redux::setSection($opt_name, array(
    'title' => esc_html__('Recipe Detail', 'inspiry-recipe-press'),
    'id' => 'recipe-detail-section',
    'desc' => esc_html__('This section contains options for recipe detail page.', 'inspiry-recipe-press'),
    'fields' => array(

        array(
            'id' => 'inspiry_recipe_detail_page_title',
            'type' => 'text',
            'title' => esc_html__('Recipe Detail Page Banner Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Our Recipes', 'inspiry-recipe-press')
        ),

        /*
         * Recipe Detail Header Variation
         */
        array(
            'id' => 'inspiry_recipe_single_header_var',
            'type' => 'image_select',
            'title' => esc_html__('Recipe Detail Header Design Variation', 'inspiry-recipe-press'),
            'options' => array(
                '1' => array(
                    'alt' => esc_html__('Slider Variation One', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/recipe/single-header-1.jpg',
                ),
                '2' => array(
                    'alt' => esc_html__('Slider Variation Two', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/recipe/single-header-2.jpg',
                )
            ),
            'default' => '1'
        ),

        // Show recipe times
        array(
            'id' => 'inspiry_recipe_timings_control',
            'type' => 'switch',
            'title' => esc_html__( 'Recipe Timings', 'inspiry-recipe-press' ),
            'subtitle' => esc_html__( 'Show or hide recipe timings (yield, serving, ready in) for single recipe template.', 'inspiry-recipe-press' ),
            'default' => 1,
            'on' => esc_html__( 'Show', 'inspiry-recipe-press' ),
            'off' => esc_html__( 'Hide', 'inspiry-recipe-press' ),
        ),

        /*
         * Method Steps Variation
         */
        array(
            'id' => 'inspiry_recipe_single_steps_var',
            'type' => 'image_select',
            'title' => esc_html__('Recipe Detail Method Steps Design Variation', 'inspiry-recipe-press'),
            'options' => array(
                '1' => array(
                    'alt' => esc_html__('List Style', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/recipe/single-steps-1.jpg',
                ),
                '2' => array(
                    'alt' => esc_html__('Accordion Style', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/recipe/single-steps-2.jpg',
                )
            ),
            'default' => '1'
        ),

        /*
		* Shopping List Option
		*/
        array(
            'id' => 'inspiry_recipe_shopping_list',
            'type' => 'switch',
            'title' => esc_html__( 'Shopping List', 'inspiry-recipe-press' ),
            'subtitle' => esc_html__( 'Do you want to enable shopping list option for recipe detail page ingredients?', 'inspiry-recipe-press' ),
            'default' => 0,
            'on' => esc_html__( 'Show', 'inspiry-recipe-press' ),
            'off' => esc_html__( 'Hide', 'inspiry-recipe-press' ),
        ),
	    array(
		    'id' => 'inspiry_shopping_list_print_button',
		    'type' => 'switch',
		    'title' => esc_html__( 'Shopping List Print Button', 'inspiry-recipe-press' ),
		    'subtitle' => esc_html__( 'Do you want to Show print button on your shopping list?', 'inspiry-recipe-press' ),
		    'default' => 1,
		    'on' => esc_html__( 'Show', 'inspiry-recipe-press' ),
		    'off' => esc_html__( 'Hide', 'inspiry-recipe-press' ),
		    'required'  => array( 'inspiry_recipe_shopping_list', '=', 1 )
	    ),
	    array(
		    'id' => 'inspiry_shopping_list_email_field',
		    'type' => 'text',
		    'title' => esc_html__( 'Shopping List Email Button', 'inspiry-recipe-press' ),
		    'subtitle' => esc_html__( 'Provide an email address if you want to show email button on shopping list.', 'inspiry-recipe-press' ),
		    'required'  => array( 'inspiry_recipe_shopping_list', '=', 1 )
	    ),
//	    array(
//		    'id' => 'inspiry_shopping_list_buy_button',
//		    'type' => 'text',
//		    'title' => esc_html__( 'Shopping List Buy Button', 'inspiry-recipe-press' ),
//		    'subtitle' => esc_html__( 'Provide a URL if you want to show cart button on shopping list to send users to that site.', 'inspiry-recipe-press' ),
//		    'required'  => array( 'inspiry_recipe_shopping_list', '=', 1 )
//	    ),

        /*
         * Recipe Single Tags
         */
        array(
            'id' => 'inspiry_recipe_bottom_tags',
            'type' => 'switch',
            'title' => esc_html__('Show Recipe Tags', 'inspiry-recipe-press'),
            'subtitle' => esc_html__('Do you want to display tags at the bottom of recipe detail page?', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),

        /*
         * Recipe Single Chef
         */
        array(
            'id' => 'inspiry_recipe_chef_info',
            'type' => 'switch',
            'title' => esc_html__('Chef Details', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),
        array(
            'id' => 'inspiry_recipe_chef_info_title',
            'type' => 'text',
            'title' => esc_html__('Chef\'s Card Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Chef Info', 'inspiry-recipe-press'),
            'required' => array('inspiry_recipe_chef_info', '=', 1)
        ),

        /*
         * Related Recipes
         */
        array(
            'id' => 'inspiry_related_recipes',
            'type' => 'switch',
            'title' => esc_html__('Related Recipes', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),
        array(
            'id' => 'inspiry_related_recipes_title',
            'type' => 'text',
            'title' => esc_html__('Related Recipes Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Related Recipes', 'inspiry-recipe-press'),
            'required' => array('inspiry_related_recipes', '=', 1),
        ),
        array(
            'id' => 'inspiry_related_recipes_type',
            'type' => 'select',
            'title' => esc_html__('Selected how you want to display related recipes.', 'inspiry-recipe-press'),
            'options' => array(
                'tags' => 'Recipe Tags',
                'type' => 'Recipe Type',
                'cuisine' => 'Cuisine',
                'course' => 'Course'
            ),
            'default' => 'tags',
            'select2' => array('allowClear' => false),
            'required' => array('inspiry_related_recipes', '=', 1),
        ),
        array(
            'id' => 'inspiry_related_recipes_count',
            'type' => 'select',
            'title' => esc_html__('Maximum number of related recipes', 'inspiry-recipe-press'),
            'options' => array(
                3 => '3',
                6 => '6',
                9 => '9'
            ),
            'default' => 3,
            'select2' => array('allowClear' => false),
            'required' => array('inspiry_related_recipes', '=', 1),
        ),

        // Recipe comments
        array(
            'id'       => 'inspiry_recipe_comments',
            'type'     => 'switch',
            'title'    => esc_html__( 'Recipe Comments Comments', 'inspiry-recipe-press' ),
            'default'  => 1,
            'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
            'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
        ),
        array(
            'id' => 'inspiry_recipe_comments_form_title',
            'type' => 'text',
            'title' => esc_html__('Comments Form Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Leave Comment', 'inspiry-recipe-press'),
            'required' => array('inspiry_recipe_comments', '=', 1),
        ),
    )
));
