<?php
/*
 * Basic Styles Options
 */
global $opt_name;

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Basic', 'inspiry-recipe-press'),
    'id'    => 'basic-styles',
    'desc'  => esc_html__('This sub section contains basic styles options.', 'inspiry-recipe-press' ),
    'subsection' => true,
    'fields'=> array(
        array(
            'id'            =>  'inspiry_site_headings_font',
            'type'          =>  'typography',
	        'google'        =>  true,
            'font-backup'   =>  false,
	        'font-size'     =>  false,
	        'text-align'    =>  false,
	        'subsets'       =>  false,
	        'line-height'   =>  false,
	        'color'         =>  false,
            'title'         =>  esc_html__( 'Font For Headings', 'inspiry-recipe-press' ),
            'desc'          =>  esc_html__( 'It will affect all the headings of the website.', 'inspiry-recipe-press' ),
	        'output'        =>  array(
		        '
		        h1, h2, h3, h4, h5, h6, .headings, .wrapper-home-slider h2, .hot-recipes-var2 h1, .hot-recipes-var2 h2,
		        .hot-recipes-var2 h3, .heading-var1 h2, .homo-4-col.news-variation2 h3, .chefs-card h2,
		        .recipe-of-day .recipe-contents h2, .tabs-container .right-side h3, .recipe-banner .banner-text h2,
		        .homo-4-col.news-variation2 h2, .banner .page-title, .post-single .entry-title, .side-bar .widget h2,
		        .custom-col-food-tabs .widget h2, .widget_recent_posts_widget h5, .footer .widget h2,
		        .side-bar .widget li h5 a, .side-bar .widget li h4 a, .side-bar .widget li h3 a, .listing .detail h4,
		        .boxed-recipes .detail h3, .inner-wrapper h1, .inner-wrapper h2, .inner-wrapper h3, .inner-wrapper h4,
		        .inner-wrapper h5, .inner-wrapper h6, .contact-container h3, .wrapper-home-slider h2,
		        .wrapper-home-slider h2, .wrapper-home-slider.variation-two .slide-detail-inner h2
		        ',
	        ),
	        'units'         =>  'px'
        ),
	    array(
		    'id'            =>  'inspiry_site_text-font',
		    'type'          =>  'typography',
		    'google'        =>  true,
		    'font-backup'   =>  false,
		    'font-size'     =>  false,
		    'text-align'    =>  false,
		    'subsets'       =>  false,
		    'line-height'   =>  false,
		    'color'         =>  false,
		    'title'         =>  esc_html__( 'Font For Site text', 'inspiry-recipe-press' ),
		    'desc'          =>  esc_html__( 'It will affect all the text of the website.', 'inspiry-recipe-press' ),
		    'output'        =>  array(
			    '
			    body, body p, .page p, .header-main .nav-collapse ul .submit-recipe a, .advance-search label,
			    .hot-recipes-var2 .intro p, .advance-search .selectric p, .hot-recipes-var2 .intro .read-more,
			    .advance-search.open .wrapper-search .tag-inner, .read-more-bordered, .post-meta li,
			    .recipe-of-day .recipe-content-inner p, .recipe-of-day .recipe-content-inner .read-more,
			    .recipe-of-day .recipe-contents .tag, .rating-box, .tab-container ul li a, .footer .widget p,
			    .footer .widget span, .tab-container ul li.active a, .tab-container ul li:hover a,
			    .default-btn.black-color, .footer .widget_wp_email_capture_widget_class input[type="text"],
			    .wrapper-home-slider.variation-two .slide-detail-inner p, .search-carousel a, .search-option span,
			    .nav-collapse ul li a, .search-bar .search-box-home .slider-search-left label, .post-single p,
			    .search-bar .search-box-home input::-webkit-input-placeholder, .side-bar .widget li, .print-button,
			    .widget_recent_posts_widget .post-date, .side-bar .widget li > a, .tagcloud a, .recipe-specs-2 li,
			    .post-single .prev-next-links, .post-author .detail .type, .comment-form #submit, .pre-tags li,
			    .recipe-detail-body p, .ingredients-checkbox .nutritional, .nutrition-detail div, .button-default,
			    .recipe-steps .accordion dt, .tags-icons .details-tags a, .tags-icons .details-tags .title,
			    .all-chefs .head-chef .right-side .expertise li, .all-chefs .head-chef .right-side .type,
			    .qe-faq-toggle .qe-toggle-content p, .qe-faq-toggle .qe-toggle-title, .qe-testimonial-name,
			    div.widget_address_widget .contact-options li, .submit-recipe-form label,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="text"], .submit-recipe-form .recipe-submit-btn,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="email"],
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="url"],
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="tel"],
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="date"],
			    .inspiry-contact-form-wrapper .wpcf7-form textarea,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="text"]::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="email"]::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="url"]::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="tel"]::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="date"]::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form textarea::-webkit-input-placeholder,
			    .inspiry-contact-form-wrapper .wpcf7-form input[type="submit"]
		        ',
		    ),
		    'units'         =>  'px'
	    )

    ) ) );