<?php
if ( ! function_exists( 'inspiry_get_banner_image' ) ) :
    /**
     * Get banner image
     * @return bool|string
     */
    function inspiry_get_banner_image() {
        global $post;
        if( isset( $post->ID ) ){
            if ( is_page_template( 'page-templates/home.php' ) ) {
                $banner_image_id = get_post_meta( $post->ID, 'inspiry_meta_home_banner_image', true );
            } elseif( is_singular( 'inspiry_recipes' ) ) {
                $banner_image_id = get_post_meta( $post->ID, 'inspiry_recipe_page_banner_image', true );
            } else {
                $banner_image_id = get_post_meta( $post->ID, 'inspiry_meta_page_banner_image', true );
            }

            if ( $banner_image_id ) {
                return wp_get_attachment_url( $banner_image_id );
            }
        }
        return inspiry_get_default_banner();
    }
endif;



if ( ! function_exists( 'inspiry_get_default_banner' ) ) :
    /**
     * Get default banner
     * @return string
     */
    function inspiry_get_default_banner() {

	    $banner_image_path = inspiry_get_option( 'inspiry_banner_image', 'url' );

        if ( !empty( $banner_image_path ) ) {
            return $banner_image_path;
        } else {
	        return get_template_directory_uri() . '/images/banner.jpg';
        }
    }
endif;