<?php
if( !function_exists( 'inspiry_theme_sidebars' ) ) :
    /**
     * Register theme sidebars
     *
     * @since 1.0.0
     */
    function inspiry_theme_sidebars() {

        // Location: Default Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Default Sidebar', 'inspiry-recipe-press' ),
            'id' => 'default-sidebar',
            'description' => esc_html__( 'Widget area for default sidebar on news and post pages.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Sidebar Pages
        register_sidebar(array(
            'name' => esc_html__( 'Pages Sidebar', 'inspiry-recipe-press' ),
            'id' => 'default-page-sidebar',
            'description' => esc_html__( 'Widget area for default page template sidebar.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Home Special Recipe Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Home Special Recipe Sidebar', 'inspiry-recipe-press' ),
            'id' => 'home-special-recipe-sidebar',
            'description' => esc_html__( 'Widget area for special recipes section of home page. It is made for tabs widget only. However you can use any other text widget in it too.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Recipe Listing Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Recipe Listing Sidebar', 'inspiry-recipe-press' ),
            'id' => 'recipe-listing-sidebar',
            'description' => esc_html__( 'Widget area for recipe listing template sidebar.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Recipe Single Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Recipe Single Sidebar', 'inspiry-recipe-press' ),
            'id' => 'recipe-single-sidebar',
            'description' => esc_html__( 'Widget area for single recipe template sidebar.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Recipe Single Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Recipe Submit Sidebar', 'inspiry-recipe-press' ),
            'id' => 'recipe-submit-sidebar',
            'description' => esc_html__( 'Widget area for recipe submit template sidebar.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget search-bar-widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title">',
            'after_title' => '</h2>',
        ));

        // Location: Recipe Single Sidebar
        register_sidebar(array(
            'name' => esc_html__( 'Contact Addresses Area', 'inspiry-recipe-press' ),
            'id' => 'contact-template-area',
            'description' => esc_html__( 'Widget area for contact template. It is made for address widget only for now.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="col-md-4 %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        ));

        // Location: Footer First Variation Left Widget
        register_sidebar(array(
            'name' => esc_html__( 'Footer A Left Widget', 'inspiry-recipe-press' ),
            'id' => 'footer-a-left-widget',
            'description' => esc_html__( 'Widget area for left column of footer first variation.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2>',
            'after_title' => '</h2>'
        ));

        // Location: Footer Second Variation First Column
        register_sidebar(array(
            'name' => esc_html__( 'Footer B First Column', 'inspiry-recipe-press' ),
            'id' => 'footer-b-first-col',
            'description' => esc_html__( 'Widget area for first column of footer second variation.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2>',
            'after_title' => '</h2>'
        ));

        // Location: Footer Second Variation Second Column
        register_sidebar(array(
            'name' => esc_html__( 'Footer B Second Column', 'inspiry-recipe-press' ),
            'id' => 'footer-b-second-col',
            'description' => esc_html__( 'Widget area for second column of footer second variation.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2>',
            'after_title' => '</h2>'
        ));

        // Location: Footer Second Variation Third Column
        register_sidebar(array(
            'name' => esc_html__( 'Footer B Third Column', 'inspiry-recipe-press' ),
            'id' => 'footer-b-third-col',
            'description' => esc_html__( 'Widget area for third column of footer second variation.', 'inspiry-recipe-press' ),
            'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2>',
            'after_title' => '</h2>'
        ));
    }

    add_action( 'widgets_init', 'inspiry_theme_sidebars' );

endif;