/**
 * Created by Hassan on 22/06/2019.
 */

function initialize() {

    var locationLatLng = new google.maps.LatLng( mapData.mapLat, mapData.mapLong );

    var mapCanvas = document.getElementById( 'map_canvas' );

    var mapOptions = {
        center: locationLatLng,
        zoom: parseInt(mapData.mapZoom),
        zoomControl: true,
        zoomControlOptions: {
        style: google.maps.ZoomControlStyle.SMALL
    },
    panControl: false,
        mapTypeControl: true,
        scrollwheel: false,
        styles: [
        {
            "featureType": "landscape",
            "elementType": "labels",
            "stylers": [
                {
                    "visibility": "off"
                }
            ]
        },
        {
            "featureType": "transit",
            "elementType": "labels",
            "stylers": [
                {
                    "visibility": "off"
                }
            ]
        },
        {
            "featureType": "poi",
            "elementType": "labels",
            "stylers": [
                {
                    "visibility": "off"
                }
            ]
        },
        {
            "featureType": "water",
            "elementType": "labels",
            "stylers": [
                {
                    "visibility": "off"
                }
            ]
        },
        {
            "featureType": "road",
            "elementType": "labels.icon",
            "stylers": [
                {
                    "visibility": "off"
                }
            ]
        },
        {
            "stylers": [
                {
                    "hue": "#00aaff"
                },
                {
                    "saturation": -100
                },
                {
                    "gamma": 1.15
                },
                {
                    "lightness": 12
                }
            ]
        },
        {
            "featureType": "road",
            "elementType": "labels.text.fill",
            "stylers": [
                {
                    "visibility": "on"
                },
                {
                    "lightness": 24
                }
            ]
        },
        {
            "featureType": "road",
            "elementType": "geometry",
            "stylers": [
                {
                    "lightness": 10
                }
            ]
        }
    ]
};

    var officeMap = new google.maps.Map( mapCanvas, mapOptions );

    var marker = new google.maps.Marker( {
        position: locationLatLng,
        map: officeMap,
        icon: mapData.themeUri + '/images/svg/map-marker.svg'
    } );

}

google.maps.event.addDomListener(window, 'load', initialize);