<?php
/*
 * Template Name: Chef Listing
 */

global $inspiry_allowed_html_tags;

get_header();

// Adding page banner section
get_template_part( 'partials/header/banner' );
    ?>
    <section class="wrapper-main-contents all-chefs">
        <div class="container">
            <?php
            if( class_exists( 'Inspiry_Chef' ) ):

	            // Get all custom post meta information related to chefs page template
	            $chefs_meta_data = get_post_custom( get_the_ID() );

	            // Getting head chef ID and area title from page meta
	            $head_chef_id = false;
	            $head_chef_id = isset( $chefs_meta_data['inspiry_head_chef_id'] ) ? $chefs_meta_data['inspiry_head_chef_id'][0] : '';
	            $head_chef_title = isset( $chefs_meta_data['inspiry_head_chef_title'] ) ? $chefs_meta_data['inspiry_head_chef_title'][0] : '';

	            if( !empty( $head_chef_id ) ):

	                // getting head chef post from it's ID
	                $head_chef_post = new Inspiry_Chef( $head_chef_id );

	                if ( !empty( $head_chef_title ) ) {
	                    ?>
	                    <div class="line-heading">
	                        <h2><?php echo esc_html( $head_chef_title ); ?></h2>
	                    </div>
	                    <?php
	                }
	                if( $head_chef_post == null ){
	                    echo '<span class="red">'.esc_html__( 'Provided head chef id is wrong.', 'inspiry-recipe-press' ).'</span>';
	                } else {
	                    ?>
	                    <div class="wrapper-head-chef">
	                        <div class=head-chef>
	                            <?php
	                            if( has_post_thumbnail( $head_chef_id ) ) :
	                            ?>
	                                <div class="left-side">
	                                    <a href="<?php echo esc_url( get_permalink( $head_chef_id ) ); ?>">
	                                        <?php echo get_the_post_thumbnail( $head_chef_id, 'inspiry-chef-listing-thumbnail' ); ?>
	                                    </a>
	                                </div>
	                                <?php
	                            endif;
	                            ?>
	                            <div class="right-side">
	                                <h3><a href="<?php echo esc_url( get_permalink( $head_chef_id ) ); ?>"><?php echo esc_html( get_the_title( $head_chef_id ) ); ?></a></h3>
	                                <?php

	                                $chef_job_title = get_post_meta( $head_chef_id, 'inspiry_chef_job_title' );
	                                echo !empty( $chef_job_title[0] ) ? '<span class="type">' . esc_html( $chef_job_title[0] ) . '</span>' : '';

	                                $recipe_types = $head_chef_post->get_taxonomy_terms( 'recipe-type', 'slug' );

	                                if( !empty( $recipe_types ) ) {
	                                    $types_array = explode( ', ', $recipe_types );
	                                    $num = 1;
	                                    $count = count( $types_array );
	                                    ?>
	                                    <ul class="expertise">
	                                        <li class="experts-in"><?php esc_html_e( 'Experts In:', 'inspiry-recipe-press' ); ?></li>
	                                        <?php
	                                        if( !empty( $types_array ) && is_array( $types_array ) ) {
		                                        foreach ( $types_array as $type ) {
			                                        $full_term = get_term_by( 'slug', $type, 'recipe-type' );
			                                        $icon      = get_term_meta( $full_term->term_id, 'inspiry_type_image_advanced', true );
			                                        $col       = ( $count < $num ) ? '' : ',&nbsp; &nbsp; ';
			                                        if ( ! empty( $icon ) ) {
				                                        $url   = wp_get_attachment_url( $icon );
				                                        $image = '<img src="' . esc_url( $url ) . '" alt="' . esc_url( $full_term->name ) . '" /> ';
				                                        $col   = ( $count <= $num ) ? '' : ' &nbsp; &nbsp; ';
			                                        } else {
				                                        $icon = get_term_meta( $full_term->term_id, 'inspiry_type_image_svg_code', true );
				                                        if ( ! empty( $icon ) && !is_wp_error( $icon ) ) {
					                                        $image = '<span class="icon-container">' . $icon . '</span> ';
					                                        $col   = ( $count <= $num ) ? '' : ' &nbsp; &nbsp; ';
				                                        } else {
					                                        $image = false;
				                                        }
			                                        }

			                                        if( $num != 1 ){ echo '<li>' . esc_html( $col ); } else { echo '<li>'; }
			                                        echo '<a href="' . get_term_link( $full_term->term_id ) . '">' . wp_kses( $image, $inspiry_allowed_html_tags ) . esc_html( $full_term->name ) . '</a>';
			                                        echo '</li>';
			                                        $num ++;
		                                        }
	                                        }
	                                        ?>
	                                    </ul>
	                                    <?php
	                                }
	                                ?>
	                                <div class="separator-chef"></div>
	                                <p>
	                                    <?php
	                                    $chef_bio = get_post_meta( $head_chef_id, 'inspiry_chef_bio', true );
	                                    echo get_inspiry_custom_excerpt( esc_html( $chef_bio ), 35, '' );
	                                    ?>
	                                </p>
	                                <br><br>
	                                <a class="button-default theme-filled" href="<?php the_permalink( $head_chef_id ); ?>"><?php esc_html_e('Read More', 'inspiry-recipe-press'); ?></a>

	                                <ul class="social-icons-chef">
	                                    <?php
	                                    $social_fb = get_post_meta( $head_chef_id, 'inspiry_chef_facebook_url' );
	                                    $social_tw = get_post_meta( $head_chef_id, 'inspiry_chef_twitter_url' );
	                                    $social_li = get_post_meta( $head_chef_id, 'inspiry_chef_linked_in_url' );
	                                    $social_pin = get_post_meta( $head_chef_id, 'inspiry_chef_pinterest_url' );
	                                    $social_ig = get_post_meta( $head_chef_id, 'inspiry_chef_instagram_url' );

	                                    echo !empty( $social_fb ) ? '<li><a href="' . esc_url( $social_fb[0] ) . '"><i class="fab fa-facebook"></i></a></li>' : '';
	                                    echo !empty( $social_tw ) ? '<li><a href="' . esc_url( $social_tw[0] ) . '"><i class="fab fa-twitter"></i></a></li>' : '';
	                                    echo !empty( $social_gp ) ? '<li><a href="' . esc_url( $social_gp[0] ) . '"><i class="fab fa-linkedin"></i></a></li>' : '';
	                                    echo !empty( $social_pin ) ? '<li><a href="' . esc_url( $social_pin[0] ) . '"><i class="fab fa-pinterest-p"></i></a></li>' : '';
	                                    echo !empty( $social_ig ) ? '<li><a href="' . esc_url( $social_ig[0] ) . '"><i class="fab fa-instagram"></i></a></li>' : '';
	                                    ?>
	                                </ul>
	                            </div>

	                        </div>
	                    </div>
	                    <?php
	                }

	            endif;

	            // Getting chef team area title and post count from page meta
	            $chef_team_title = isset( $chefs_meta_data['inspiry_chef_team_title'] ) ? $chefs_meta_data['inspiry_chef_team_title'][0] : '';
	            $chef_team_count = inspiry_get_option( 'inspiry_chefs_listing_count' );
	            if( empty( $chef_team_count ) ){
		            $chef_team_count = 100;
	            }

	            // Displaying chef team title
	            if( !empty( $chef_team_title ) ) {
	                ?>
	                <div class="line-heading">
	                    <h2><?php echo esc_html( $chef_team_title ); ?></h2>
	                </div>
	                <?php
	            }

	            $chef_team_query = new WP_Query( array (
	                'post_type' => 'inspiry_chef',
	                'no_found_rows' => true, // in case of no pagination needed
	                'update_post_meta_cache' => false, // post meta will not be utilized
	                'update_post_term_cache' => false, // taxonomy terms will not be utilized.
	                'posts_per_page' => $chef_team_count, // best practice other than -1 value
	                'meta_query' => array( array( 'key' => '_thumbnail_id' ) ), // get posts only with thumbnails
	                'post__not_in' => array($head_chef_id)
	            ) ) ;

	            if ($chef_team_query->have_posts()) :
	                ?>
	                <div class="wrapper-chef-team">
	                    <ul class="chef-team">
	                        <?php
	                        while ($chef_team_query->have_posts()) :

	                            $chef_team_query->the_post();

	                            $chef_post = new Inspiry_Chef();
	                            $chef_job_title = $chef_post->get_job_title();
	                            $chef_bio = $chef_post->get_bio();
	                            $chef_fb = $chef_post->get_facebook();
	                            $chef_tw = $chef_post->get_twitter();
	                            $chef_gp = $chef_post->get_linkedin();
	                            $chef_pin = $chef_post->get_pinterest();
	                            $chef_ig = $chef_post->get_instagram();
	                        ?>
	                            <li>
	                                <div class="single-chef">
	                                    <a href="<?php the_permalink(); ?>">
	                                        <?php the_post_thumbnail( 'inspiry-chef-listing-thumbnail' ); ?>
	                                    </a>
	                                    <div class="chef-detail">
	                                        <div class="chef-detail-inner">
	                                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
	                                            <?php echo !empty( $chef_job_title ) ? '<span class="type">' . esc_html( $chef_job_title ).'</span>' : ''; ?>
	                                            <p>
	                                                <?php echo get_inspiry_custom_excerpt( esc_html( $chef_bio ), 15 ); ?>
	                                            </p>
	                                            <ul class="social-icons-chef">
	                                                <?php
	                                                echo !empty( $chef_fb ) ? '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-facebook"></i></a></li>' : '';
	                                                echo !empty( $chef_tw ) ? '<li><a href="' . esc_url( $chef_tw ) . '"><i class="fab fa-twitter"></i></a></li>' : '';
	                                                echo !empty( $chef_li ) ? '<li><a href="' . esc_url( $chef_li ) . '"><i class="fab fa-linkedin"></i></a></li>' : '';
	                                                echo !empty( $chef_pin ) ? '<li><a href="' . esc_url( $chef_pin ) . '"><i class="fab fa-pinterest"></i></a></li>' : '';
	                                                echo !empty( $chef_ig ) ? '<li><a href="' . esc_url( $chef_ig ) . '"><i class="fab fa-instagram"></i></a></li>' : '';
	                                                ?>
	                                            </ul>
	                                        </div>
	                                    </div>
	                                </div>
	                            </li>
	                            <?php
	                        endwhile;
	                        ?>
	                    </ul>
	                </div>
	                <?php
	            endif;

            else:

	            inspiry_highlighted_message( '', esc_html__( 'Inspiry Recipes Plugin is not installed or activated. Please contact to the administrator of this site.', 'inspiry-recipe-press' ) );

            endif;
            ?>
        </div>
    </section>

<?php
get_footer();
?>