<?php
/*
 * Template Name: My Recipes
 */

get_header();

get_template_part( 'partials/header/banner' );
?>
    <div class="wrapper-main-contents">
        <div class="container">
            <div class="row">

                <div class="col-md-12">

	                <div class="my-recipes-content">
                        <?php
                        /*
                         * Display page contents if any
                         */
                        if ( have_posts() ):
                            while ( have_posts() ):
                                the_post();
                                $content = get_the_content();
                                if ( !empty( $content ) ) {
                                    ?>
                                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                        <div class="entry-content clearfix">
                                            <?php the_content(); ?>
                                        </div>
                                    </article>
                                    <?php
                                }
                            endwhile;
                        endif;
                        ?>
                    </div>

	                <?php
	                if( class_exists( 'Inspiry_Recipes' ) ):

		                if ( is_user_logged_in() ) {

			                /*
							 * Messages for deletion, addition and update
							 */
			                if ( isset( $_GET['trashed'] ) && ( intval( $_GET['trashed'] ) == 1 ) ) {

				                inspiry_highlighted_message( '', esc_html__( 'Recipe Removed!', 'inspiry-recipe-press' ) );

			                } elseif ( isset( $_GET['recipe-added'] ) && ( $_GET['recipe-added'] == true ) ) {

				                $submit_success_message = (inspiry_get_option( 'inspiry_submit_success_message' )) ? inspiry_get_option( 'inspiry_submit_success_message' ) : esc_html__( 'Recipe Added Successfully!', 'inspiry-recipe-press' );
				                inspiry_highlighted_message( '', esc_html( $submit_success_message ) );

			                } elseif ( isset( $_GET['recipe-updated'] ) && ( $_GET['recipe-updated'] == true ) ) {

				                inspiry_highlighted_message( '', esc_html__( 'Recipe Updated Successfully!', 'inspiry-recipe-press' ) );

			                }

			                ?>
		                    <div class="recipe-listing listing-grid my-recipes">
				                <?php

				                // Get User Id
				                $current_user = wp_get_current_user();

				                // My recipes arguments
				                global $paged;

				                $number_of_recipes = intval( inspiry_get_option( 'inspiry_my_recipes_count' ) );
				                if ( empty( $number_of_recipes ) ) {
					                $number_of_recipes = 8;
				                }

				                $my_recipes_args = array(
					                'post_type' => 'inspiry_recipes',
					                'posts_per_page' => $number_of_recipes,
					                'paged' => $paged,
					                'post_status' => array( 'pending', 'draft', 'publish', 'future' ),
					                'author' => $current_user->ID
				                );

				                $my_recipes_query = new WP_Query( apply_filters( 'inspiry_my_recipes', $my_recipes_args ) );

				                if ( $my_recipes_query->have_posts() ) :

					                while ( $my_recipes_query->have_posts() ) :
						                $my_recipes_query->the_post();
						                $my_recipe = new Inspiry_Recipes( get_the_ID() );
						                ?>
						                <div class="listing">
							                <div class="listing-wrapper">
								                <div class="image">
									                <a href="<?php the_permalink(); ?>">
										                <?php
										                if(has_post_thumbnail()) {
											                the_post_thumbnail( 'inspiry-recipe-listing-thumbs' );
										                } else {
											                echo '<img src="' . get_template_directory_uri() . '/images/nothumbnail.png" alt"' . the_title_attribute( array( 'echo' => false ) ) . '" />';
										                }
										                ?>
									                </a>
								                </div>
								                <div class="detail">

									                <header class="entry-header">
										                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
									                </header>

									                <div class="meta-listing">
										                <p class="status"><span><?php $pub_status = get_post_status(); if( $pub_status == 'publish' ){ echo esc_html__( 'Published', 'inspiry-recipe-press' ); } else { echo esc_html( ucfirst( $pub_status ) ); } ?></span></p>
										                <ul class="post-meta">
											                <li class="published"><?php esc_html_e( 'Posted on:', 'inspiry-recipe-press' ); ?> <?php the_time('d/m/Y'); ?></li>
											                <li class="modified"><?php esc_html_e( 'Last Modified:', 'inspiry-recipe-press' ); ?> <?php the_modified_time( "d/m/Y" ); ?></li>
										                </ul>
									                </div>

									                <div class="action-buttons">
										                <?php
										                // Edit Post Link
										                $submit_recipe_page = inspiry_get_option( 'inspiry_submit_recipe_page' );
										                if ( !empty( $submit_recipe_page ) ) {
											                if( !empty( $submit_recipe_page ) ) {
												                $submit_url = get_permalink( $submit_recipe_page );
												                $edit_link = add_query_arg( 'edit_recipe', get_the_ID() , $submit_url );
												                ?><a href="<?php echo esc_url( $edit_link ); ?>"><i class="fas fa-pen-square"></i></a><?php
											                }
										                }

										                // Delete Post Link Bypassing Trash
										                if ( current_user_can( 'delete_posts' ) ) {
											                $force_delete = inspiry_get_option( 'inspiry_recipe_force_delete' );
											                $delete_post_link = get_delete_post_link( get_the_ID(), '', $force_delete );
											                if ( !empty( $delete_post_link ) ) {
												                ?><a class="delete-recipe" href="<?php echo esc_url( $delete_post_link ); ?>"><i class="far fa-trash-alt"></i></a><?php
											                }
										                }

										                // Preview Post Link
										                if ( current_user_can('edit_posts') ) {
											                $preview_link = set_url_scheme( get_permalink( get_the_ID() ) );
											                $preview_link = apply_filters( 'preview_post_link', add_query_arg( 'preview', 'true', $preview_link ) );
											                if ( !empty( $preview_link ) ) {
												                ?><a target="_blank" href="<?php echo esc_url( $preview_link ); ?>"><i class="fas fa-eye"></i></a><?php
											                }
										                }
										                ?>
									                </div>
								                </div>
							                </div>
						                </div>

						                <?php
					                endwhile;

					                inspiry_pagination( $my_recipes_query );

					                wp_reset_postdata();

				                else:
					                inspiry_message( esc_html__( 'Oops' , 'inspiry-recipe-press' ), esc_html__( 'It appears that you have not submitted any recipe yet!', 'inspiry-recipe-press' ) );
				                endif;

				                ?>
		                    </div>
			                <?php
		                } else {
			                inspiry_message( esc_html__( 'Login Required', 'inspiry-recipe-press' ), esc_html__( 'You need to login to view your recipes!', 'inspiry-recipe-press' ) );
		                }

	                else:

		                inspiry_highlighted_message( '', esc_html__( 'Inspiry Recipes Plugin is not installed or activated. Please contact to the administrator of this site.', 'inspiry-recipe-press' ) );

	                endif;
	                ?>
                </div>

            </div>
        </div>
    </div>
<?php
/*
 * Footer
 */
get_footer();
