<?php
/*
 * Template Name: Submit Recipe
 */
global $inspiry_allowed_html_tags;

get_header();

get_template_part( 'partials/header/banner' );

if ( is_active_sidebar( 'recipe-submit-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>
    <div class="wrapper-main-contents">
        <div class="container">
            <div class="row">

                <div class="<?php echo esc_attr( $page_contents_classes ); ?>">
                    <div class="recipe-set submit-recipe-set">
                        <?php
                        /*
                         * Display page contents if any
                         */
                        if ( have_posts() ):
                            while ( have_posts() ):
                                the_post();
                                $content = get_the_content();
                                if ( ! empty( $content ) ) {
                                    ?>
                                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                        <h2 class="entry-title"><?php the_title(); ?></h2>
                                        <div class="entry-content clearfix">
                                            <?php the_content(); ?>
                                        </div>
                                    </article>
                                    <?php
                                }
                            endwhile;
                        endif;

                        if( class_exists( 'Inspiry_Recipes' ) ) {

	                        /* recipe submit and update stuff */
	                        if ( is_user_logged_in() ) {

		                        get_template_part( 'partials/recipe/templates/submit-form' );

	                        } else {

		                        $pre_login_title = inspiry_get_option( 'inspiry_submit_pre_login_title' );
		                        $pre_login_text  = inspiry_get_option( 'inspiry_submit_pre_login_text' );
		                        ?>
		                        <div class="inspiry-message">
			                        <?php
			                        if ( $pre_login_title ) {
				                        echo '<h3>' . esc_html( $pre_login_title ) . '</h3>';
			                        }
			                        if ( $pre_login_text ) {
				                        echo '<p>' . wp_kses( $pre_login_text, $inspiry_allowed_html_tags ) . '</p>';
			                        }
			                        ?>
		                        </div>
		                        <?php

	                        }
                        } else {

	                        inspiry_highlighted_message( '', esc_html__( 'Inspiry Recipes Plugin is not installed or activated. Please contact to the administrator of this site.', 'inspiry-recipe-press' ), 'warning' );

                        }
                        ?>
                    </div>
                </div>
	            <?php
				if ( is_active_sidebar( 'recipe-submit-sidebar' ) ) {
		            ?>
	                <div class="col-md-4 col-lg-3">
	                    <?php get_sidebar('recipe-submit'); ?>
	                </div>
		            <?php
	            }
	            ?>
            </div>
        </div>
    </div>
<?php
/*
 * Footer
 */
get_footer();
