<?php
/**
 * Footer Variation Two
 */

global $inspiry_allowed_html_tags;
$footer_logo = inspiry_get_option( 'inspiry_footer_logo', 'url' );
$footer_info_text = inspiry_get_option( 'inspiry_footer_info_text' );
$footer_social = inspiry_get_option( 'inspiry_footer_social' );
$footer_social_links = inspiry_get_option( 'inspiry_footer_social_links' );
$copyrights = inspiry_get_option( 'inspiry_copyright_html' );
?>
<!--footer-->
<div class="animate-footer footer footer-variant-two footer-fluid">
    <div class="container">
        <div class="footer-inner">
            <div class="wrapper-logo-detail">
                <div class="row">
                    <?php
                    if ( !empty( $footer_logo ) ) {
                        ?>
                        <div class="col-md-2 text-center">
                            <div class="left-side logo-wrapper wow animated zoomInDown">
                                <a class="logo-footer wow animated zoomIn" href="<?php echo esc_url( home_url('/') ); ?>">
                                    <img src="<?php echo esc_url( $footer_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name'  ) ); ?>" />
                                </a>
                            </div>
                        </div>
                        <?php
                    }

                    if ( !empty( $footer_info_text ) ) {
                        ?>
                        <div class="col-md-10">
                            <div class="right-side">
                                <p class="wow animated flipInX">
                                    <?php
                                    echo wp_kses( $footer_info_text, $inspiry_allowed_html_tags );
                                    ?>
                                </p>
                            </div>
                        </div>

                        <?php
                    }
                    ?>
                </div>
            </div>

            <div class="subs-social-options">
                <div class="row">

                    <div class="col-md-4">
                        <?php
                        if ( is_active_sidebar( 'footer-b-first-col' ) ) {
                            dynamic_sidebar( 'footer-b-first-col' );
                        }
                        ?>
                    </div>

                    <div class="col-md-4">
                        <?php
                        if ( is_active_sidebar( 'footer-b-second-col' ) ) {
                            dynamic_sidebar( 'footer-b-second-col' );
                        }
                        ?>
                    </div>

                    <div class="col-md-4">

                        <?php
                        if ( is_active_sidebar( 'footer-b-third-col' ) ) {
                            dynamic_sidebar( 'footer-b-third-col' );
                        }
                        ?>

                    </div>

                </div>
            </div>

            <div class="footer-copyright var1">
                <div class="row">
                    <div class="col-md-6 wow animated slideInLeft">
                        <?php
                        /*
                         * Footer copyright text
                         */
                        if ( !empty( $copyrights ) ) {
                            ?>
                            <p class="copyright-text">
                                <?php
                                echo wp_kses( $copyrights, $inspiry_allowed_html_tags );
                                ?>
                            </p>
                            <?php
                        }
                        ?>
                    </div>
                    <div class="col-md-6 wow animated slideInRight">
                        <?php
                        if( $footer_social ){
	                        if ( function_exists( 'inspiry_get_social_icons' ) ) {
		                        ?>
	                            <div class="footer-social-icons">
		                            <?php
		                            inspiry_get_social_icons( array(
			                            'option_id' => 'inspiry_footer_social_links'
		                            ) );
		                            ?>
	                            </div>
		                        <?php
	                        }
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--footer ends-->
