<?php
/**
 * Home Chefs Variation One
 */

global $inspiry_allowed_html_tags;

$chefs_title = inspiry_get_option( 'inspiry_home_chefs_heading' );
$inspiry_chef_ids = false;

if( ( inspiry_get_option( 'inspiry_chef_ids_to_display_sa' ) ) ){
    $inspiry_chef_cbs = inspiry_get_option( 'inspiry_chef_ids_to_display_sa' );
    foreach($inspiry_chef_cbs as $id => $value){
        if(!empty($value)){
            $inspiry_chef_ids[] = $id;
        }
    }
}

// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_chef_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_chef_corner_image_side' );

// setting up chefs arguments
$chefs_args = array (
    'post_type' => 'inspiry_chef', // custom post type name
    'no_found_rows' => true, // in case of no pagination needed
    'update_post_meta_cache' => false, // post meta will not be utilized
    'update_post_term_cache' => false, // taxonomy terms will not be utilized.
    'meta_query' => array(array('key' => '_thumbnail_id')) // get posts only with thumbnails
);


if( inspiry_get_option( 'inspiry_home_chefs_display_type' ) == 'selected' ){
    $chefs_args[ 'post__in' ] = $inspiry_chef_ids; // fetching specific posts based on IDs
    $chefs_args[ 'orderby' ] = 'post__in'; // to order by given ids in post__in
} else {
    $post_count = inspiry_get_option( 'inspiry_home_chef_post_count' );
    $chefs_args[ 'posts_per_page' ] = !empty( $post_count) ? $post_count : 4;
}

$chefs_query = new WP_Query( $chefs_args );


if( $chefs_query->have_posts() ) :
    ?>
    <section class="our-chefs wow animated fadeInUp">
        <div class="container">
            <?php
            if( $chefs_title ) {
                ?>
                <div class="container-tags">
                <span class="tag">
                    <span class="tag-inner"><?php echo esc_html( $chefs_title ); ?></span>
                </span>
                </div>
                <?php
            }
            ?>
            <div class="wrapper-chefs">
                <?php
                $anim_time = 100;
                $bg_color = array();
                while($chefs_query->have_posts()) :
                    $chefs_query->the_post();
                    $chef_info = new Inspiry_Chef( get_the_ID() );
                    if( count($bg_color ) < 1 ) {
                        $bg_color = array( 'bg-colorA', 'bg-colorB', 'bg-colorC', 'bg-colorD' );
                    }
                ?>
                    <div class="chef-single <?php echo esc_attr( $bg_color[0] ); ?> animated wow" data-wow-delay="<?php echo esc_attr( $anim_time ); ?>ms">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_post_thumbnail('inspiry-chef-listing-thumbnail'); ?>
                        </a>
                        <div class="chef-intro ">
                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                            <?php
                            $chefs_job_title = $chef_info->get_job_title();
                            echo !empty( $chefs_job_title ) ? '<span>' . esc_html( $chefs_job_title ) . '</span>' : '';
                            ?>
                        </div>
                    </div>
                    <?php
                    $anim_time += $anim_time;
                    array_shift( $bg_color );
                endwhile;

                echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'chefs-corner-image' );
                ?>
            </div>
        </div>
    </section>

    <?php
endif;
?>