<?php
/**
 * Home Whats Hot Variation One
 */

global $inspiry_allowed_html_tags;

$whats_hot_title = inspiry_get_option( 'inspiry_whats_hot_title' );
if( empty( $whats_hot_title ) ){
    $whats_hot_title = esc_html__( 'What\'s Hot', 'inspiry-recipe-press' );
}
$whats_hot_count = inspiry_get_option( 'inspiry_whats_hot_post_count_v1' );
if( empty( $whats_hot_count ) ){
	$whats_hot_count = 6;
}
$listing_type = inspiry_get_option( 'inspiry_home_whats_hot_listing_type' );

$whats_hot_selected_ids =  inspiry_get_option( 'inspiry_home_whats_hot_selected_checks' );
if( !empty( $whats_hot_selected_ids ) ){
	$selected_list = array();
	foreach( $whats_hot_selected_ids as $id => $val ){
		$selected_list[] = $id;
	}
}

$whats_hot_args = array (
	'post_type' => 'inspiry_recipes',
	'no_found_rows' => true, // in case of no pagination needed
	'update_post_meta_cache' => false, // post meta will not be utilized
	'update_post_term_cache' => false, // taxonomy terms will not be utilized.
	'meta_query' => array(array('key' => '_thumbnail_id')) // get posts only with thumbnails
);

if( $listing_type == 'selected' ){
	$whats_hot_args[ 'post__in' ] = $selected_list;
	$whats_hot_args[ 'orderby' ] = 'post__in';
	$whats_hot_args[ 'posts_per_page' ] = 100;
} else {
	$whats_hot_args[ 'posts_per_page' ] = $whats_hot_count;
}

$whats_hot_query = new WP_Query( $whats_hot_args );

$count = 1;
$posts_fetched = (int)$whats_hot_query->post_count;

// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_whats_hot_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_whats_hot_corner_image_side' );


// starting whats hot loop
if( $whats_hot_query->have_posts() ) :
    ?>
    <section class="wrapper-hot-recipes">
        <div class="container">
            <div class="container-tags">
                <span class="tag">
                    <span class="tag-inner"><?php echo esc_html( $whats_hot_title ); ?></span>
                </span>
                <?php  ?>
                <!--
                TODO: These tags are skipped for the update
                <ul>
                    <li><a href="#">Latest Recipes</a></li>
                    <li><a href="#">Most Rated</a></li>
                    <li><a href="#">Most Liked</a></li>
                </ul>
                -->
            </div>
            <div class="container-hot-recipes">
                <div class="hot-row">
                    <?php
                    while($whats_hot_query->have_posts()) :
                    $whats_hot_query->the_post();
                    global $post;

                    $hot_recipe = new Inspiry_Recipes( get_the_ID() );

                    if($count == 1){
                        ?>
                        <div class="full-image col-size">
                            <a href="<?php the_permalink(); ?>">
                                <figure class="inner-full-image">
                                    <?php the_post_thumbnail('inspiry-whats-hot-recipe-thumbs'); ?>
                                    <figcaption><?php the_title(); ?></figcaption>
                                </figure>
                            </a>
                        </div>
                        <?php
                        $count++;
                    } elseif( $count < 6 ) {

                        if( $count == 2 || $count == 4 ) {
                            $type_class = ( $count == 2 ) ? 'intro-first' : 'image-first';
                            $color_class = 'bg-color' . ( $count - 1 );
                            ?>
                            <div class="split-images col-size">
                            <div class="split-images-inner">
                            <?php
                        } elseif( $count == 3 || $count == 5 ) {
                            $type_class = ( $count == 5 ) ? 'intro-first' : 'image-first';
                            $color_class = 'bg-color' . ( $count - 1 );
                        }
                        ?>
                        <div class="<?php echo esc_attr( $type_class ); ?>">
                            <div class="recipe-box">
                                <div class="intro <?php echo esc_attr( $color_class ); ?>">
                                    <div class="heading-recipe">
                                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    </div>
                                    <div class="rating-box">
                                        <?php
                                        if( function_exists( 'inspiry_recipe_rating' ) ){
	                                        inspiry_recipe_rating( $post->ID );
                                        }
                                        if( function_exists( 'inspiry_get_avg_rating' ) ){
	                                        ?><span class="rating-figure">(<?php echo inspiry_get_avg_rating( $post->ID ); ?> / 5)</span><?php
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="image">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php the_post_thumbnail( 'inspiry-whats-hot-recipe-thumbs-small' ); ?>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <?php
                    if(
                        $count == $posts_fetched ||
                        $count == 3 ||
                        $count == 5
                        ) {
                    ?>
                </div>
            </div>
            <?php
            }

            $count++;

            } elseif( $count == 6 ) {
                ?>
                <div class="split-images col-size">
                    <div class="split-images-inner">
                        <!--recipe start-->
                        <div class="intro-first">
                            <div class="recipe-box">
                                <div class="intro bg-color5">
                                    <div class="heading-recipe">
                                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                        <ul class="post-meta recipe">
                                            <?php
                                            $chef_id = $hot_recipe->get_chef_id();
                                            $skill_level = $hot_recipe->get_skill_level( true );
                                            $ready_in = $hot_recipe->get_ready_in( true, 'Hours', 'Minutes' );

                                            echo ( isset( $chef_id ) && !empty( $chef_id ) ) ? '<li class="author"><i class="fas fa-user"></i> <a href="' . esc_url( get_permalink( $chef_id ) ) . '">' . esc_html( get_the_title( $chef_id ) ) . '</a></li>' : '';
                                            echo ( isset( $skill_level ) && !empty( $skill_level ) ) ? '<li class="type"><i class="far fa-chart-bar"></i> <a href="' . esc_url( get_term_link( $skill_level, 'skill-level' ) ) . '">' . esc_html( $skill_level ) . '</a></li>' : '';
                                            echo ( isset( $ready_in ) && !empty( $ready_in ) ) ? '<li class="time"><i class="far fa-clock"></i> ' . esc_html( $ready_in ) . '</li>' : '';
                                            ?>
                                        </ul>
                                        <p><?php echo get_inspiry_custom_excerpt( get_the_excerpt(), 16 ); ?></p>
                                    </div>
                                    <div class="rating-box">
                                        <?php
                                        if( function_exists( 'inspiry_recipe_rating' ) ){
	                                        inspiry_recipe_rating( $post->ID );
                                        }
                                        if( function_exists( 'inspiry_get_avg_rating' ) ){
	                                      ?><span class="rating-figure">(<?php echo inspiry_get_avg_rating( $post->ID ); ?> / 5)</span><?php
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="image">
                                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('inspiry-whats-hot-vertical-recipe-thumbs'); ?></a>
                                </div>
                            </div>
                        </div>
                        <!--recipe ends-->
                    </div>
                </div>
                <?php
                $count = 1;
            }
            endwhile;
            ?>
            <!--recipe col start-->

            <!--recipe col ends-->
                </div>
                <?php
                echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'whatshot-corner-image' );
                ?>
            </div>
        </div>
    </section>
    <?php
endif;
?>