<?php
/**
 * Home Whats Hot Variaton Three
 */

global $inspiry_allowed_html_tags;

$whats_hot_title = inspiry_get_option( 'inspiry_whats_hot_title' );
if( empty( $whats_hot_title ) ){
    $whats_hot_title = esc_html__( 'What\'s Hot', 'inspiry-recipe-press' );
}
$whats_hot_count = inspiry_get_option( 'inspiry_whats_hot_post_count_v3' );
if( empty( $whats_hot_count ) ){
    $whats_hot_count = 6;
}
$whats_v3_style = inspiry_get_option( 'inspiry_whats_hot_v3_style' );
if( empty( $whats_v3_style ) ){
    $whats_v3_style = 'white';
}

$listing_type = inspiry_get_option( 'inspiry_home_whats_hot_listing_type' );
$whats_hot_selected_ids =  inspiry_get_option( 'inspiry_home_whats_hot_selected_checks' );
if( !empty( $whats_hot_selected_ids ) ){
    $selected_list = array();
    foreach( $whats_hot_selected_ids as $id => $val ){
        $selected_list[] = $id;
    }
}

$whats_hot_args = array (
	'post_type' => 'inspiry_recipes',
	'no_found_rows' => true, // in case of no pagination needed
	'update_post_meta_cache' => false, // post meta will not be utilized
	'update_post_term_cache' => false, // taxonomy terms will not be utilized.
	'meta_query' => array(array('key' => '_thumbnail_id')) // get posts only with thumbnails
);

if( $listing_type == 'selected' ){
	$whats_hot_args[ 'post__in' ] = $selected_list;
	$whats_hot_args[ 'orderby' ] = 'post__in';
	$whats_hot_args[ 'posts_per_page' ] = 100;
} else {
	$whats_hot_args[ 'posts_per_page' ] = $whats_hot_count;
}

$whats_hot_query = new WP_Query( $whats_hot_args );


$count = $anim_value = 0;
$classes = ( $whats_v3_style != 'white' ) ? 'ext-var3 corner-bg-var' : '';


// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_whats_hot_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_whats_hot_corner_image_side' );

if( $corner_image ) {
    $cm_style = ' style="position: absolute; bottom: 0;';
    if( $corner_image_side == 'left-bottom' ){
        $cm_style .= ' left: 0;';
    } else {
        $cm_style .= ' right: 0;';
    }
    $cm_style .= ' z-index: -1;" ';

    $corner_tag = '<img class="whatshot-corner-image" alt="'. esc_html__( 'Corner Image', 'inspiry-recipe-press' ) .'" src="' . esc_url( $corner_image ) . '" '.$cm_style.' />';
}


// starting whats hot loop
if( $whats_hot_query->have_posts() ) :
?>
    <section class="hot-recipes-var2 <?php echo esc_attr( $classes ); ?>">
        <div class="container">
            <div class="wrapper-hot-recipe-var2">
                <div class="hot-recipes-bordered">

                    <?php
                    if( $whats_hot_title ) {
                        ?>
                        <div class="heading-var1 text-center wow animated flipInX">
                            <h2><?php echo esc_html( $whats_hot_title ); ?></h2>
                            <span class="heading-bell">
                                <?php get_template_part('images/svg/rating-icon'); ?>
                            </span>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="hot-row">
                    <?php
                    $a = 0;
                    $b = true;
                    while( $whats_hot_query->have_posts() ) :
                        $whats_hot_query->the_post();

                        $a++;
                        if( $a%4 == 1 || $a%4 == 2 ) {
                            $type_class = 'image-first';
                        } elseif( $a%4 == 3 || $a%4 == 0 ) {
                            $type_class = 'intro-first';
                        }

                        if( $count > 4 ) {
                            $anim_value = 100;
                        } else {
                            $anim_value += 100;
                        }
                        ?>
                        <div class="split-images-var2 col-size text-center">
                            <div class="<?php echo esc_attr( $type_class ); ?> inner-split">
                                <div class="image common-split animated wow flipInY animation-delay<?php echo esc_attr( $anim_value ); ?>ms">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php the_post_thumbnail( 'inspiry-recipe-listing-thumbs' ); ?>
                                    </a>
                                </div>
                                <div class="intro common-split animated wow flipInY animation-delay200ms">
                                    <div class="intro-inner ">
                                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                        <div class="short-separator"></div>
                                        <p>
	                                        <?php
	                                        echo wp_trim_words( get_the_excerpt(), 8 );
	                                        ?>
                                        </p>
                                        <a class="read-more" href="<?php the_permalink(); ?>"><?php esc_html_e('read more', 'inspiry-recipe-press'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        $count++;
                    endwhile;
                    ?>
                    </div>
                </div>
                <?php
                echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'whatshot-corner-image' );
                ?>
            </div>
        </div>
    </section>

<?php
endif;
?>