<?php
/**
 * Home Whats Hot Variaton Two
 */

global $inspiry_allowed_html_tags;

$whats_hot_title = inspiry_get_option( 'inspiry_whats_hot_title' );
if( empty( $whats_hot_title ) ){
    $whats_hot_title = esc_html__( 'What\'s Hot', 'inspiry-recipe-press' );
}
$whats_hot_count = inspiry_get_option( 'inspiry_whats_hot_post_count_v2' );
if( empty( $whats_hot_count ) ){
    $whats_hot_count = 6;
}
$listing_type = inspiry_get_option( 'inspiry_home_whats_hot_listing_type' );

$whats_hot_selected_ids =  inspiry_get_option( 'inspiry_home_whats_hot_selected_checks' );
if( !empty( $whats_hot_selected_ids ) ){
    $selected_list = array();
    foreach( $whats_hot_selected_ids as $id => $val ){
        $selected_list[] = $id;
    }
}

$whats_hot_args = array (
	'post_type' => 'inspiry_recipes',
	'no_found_rows' => true, // in case of no pagination needed
	'update_post_meta_cache' => false, // post meta will not be utilized
	'update_post_term_cache' => false, // taxonomy terms will not be utilized.
	'meta_query' => array(array('key' => '_thumbnail_id')) // get posts only with thumbnails
);

if( $listing_type == 'selected' ){
	$whats_hot_args[ 'post__in' ] = $selected_list;
	$whats_hot_args[ 'orderby' ] = 'post__in';
	$whats_hot_args[ 'posts_per_page' ] = 100;
} else {
	$whats_hot_args[ 'posts_per_page' ] = $whats_hot_count;
}

$whats_hot_query = new WP_Query( $whats_hot_args );

// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_whats_hot_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_whats_hot_corner_image_side' );


// starting whats hot loop
if( $whats_hot_query->have_posts() ) :
?>
<section class="hot-recipes-var1 common-mb">
    <div class="container">
        <?php
        if( $whats_hot_title ) {
            ?>
            <div class="heading-var1 text-center wow animated flipInX">
                <h2><?php echo esc_html( $whats_hot_title ); ?></h2>
                <span class="heading-bell">
                    <?php get_template_part( 'images/svg/rating-icon' ); ?>
                </span>
            </div>
            <?php
        }
        ?>
        <div class="row wow animated fadeInUp">
            <?php
            while( $whats_hot_query->have_posts() ) :
                $whats_hot_query->the_post();
                    ?>
                    <div class="col-sm-4">
                        <div class="single-recipe text-center">

                            <div class="recipe-image">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'inspiry-whats-hot-recipe-thumbs' ); ?>
                                </a>
                            </div>
                            <div class="recipe-detail">
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                 <span class="heading-bell boxed">
                                   <?php get_template_part( 'images/svg/rating-icon' ); ?>
                                 </span>
                                <p>
	                                <?php
	                                echo wp_trim_words( get_the_excerpt(), 16 );
	                                ?>
                                </p>
                                <a class="read-more-bordered" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Learn more', 'inspiry-recipe-press' ); ?></a>
                            </div>
                        </div>
                    </div>
                <?php
            endwhile;
            ?>
            <?php
            echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'whatshot-corner-image' );
            ?>
        </div>
    </div>
</section>

<?php
endif;
?>