<?php

global $post;

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if (post_password_required())
    return;
?>
<!-- start of comments section -->
<div class="post-comments">
    <?php
    if (have_comments()) {
        ?>
        <h3 id="comments-title" class="lined"><?php comments_number(esc_html__('No Comment', 'inspiry-recipe-press'), esc_html__('One Comment', 'inspiry-recipe-press'), esc_html__('Comments (%)', 'inspiry-recipe-press')); ?></h3>

        <ul id="comments" class="comments-list">
            <?php wp_list_comments( array( 'callback' => 'inspiry_theme_post_comment' ) ); ?>
        </ul>

        <?php
        if (get_comment_pages_count() > 1 && get_option('page_comments')) {
            ?>
            <nav class="pagination comments-pagination">
                <?php paginate_comments_links(); ?>
            </nav>
            <?php
        }
    }


    if (!comments_open() && '0' != get_comments_number() && post_type_supports(get_post_type(), 'comments')) {
        ?>
        <p class="nocomments"><?php esc_html_e('Comments are closed.', 'inspiry-recipe-press'); ?></p>
        <?php
    }


    $form_args = array();

    if ( inspiry_get_option( 'inspiry_post_comments_form_title' ) ){
        $form_args[ 'title_reply' ] = inspiry_get_option( 'inspiry_post_comments_form_title' );
    }

    comment_form( $form_args, $post->ID );
    ?>

</div>
<!-- end of comments -->