<?php
/**
 * Post Author
 */

global $inspiry_allowed_html_tags;
global $post;

// getting author info
$author_id = get_the_author_meta( 'ID' );
$author_email = get_the_author_meta( 'user_email' );
$author_name = get_the_author_meta( 'display_name' );
$author_job_title = get_the_author_meta( 'job_title' );
$author_desc = get_the_author_meta( 'description' );
$author_fb = get_the_author_meta( 'facebook_url' );
$author_tw = get_the_author_meta( 'twitter_url' );
$author_li = get_the_author_meta( 'linkedin_url' );
$author_pin = get_the_author_meta( 'pinterest_url' );
$author_insta = get_the_author_meta( 'instagram_url' );
$profile_image_id = get_the_author_meta('profile_image_id');

if( ( !empty( $author_name ) && !empty( $author_job_title ) ) || !empty( $author_desc ) ){
	?>
	<div class="separator-post"></div>
	<div class="post-author">
		<div class="avatar">
			<?php
			if( !empty( $profile_image_id ) && $profile_image_id > 0 ){
				$author_thumbnail = wp_get_attachment_image( $profile_image_id, 'inspiry-recipe-small-thumbs', false, array( 'class' => 'img-responsive' ) );
			} else {
				$author_thumbnail = get_avatar( $author_email, 160 );
			}
			?>
			<a href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>">
				<?php
				echo wp_kses( $author_thumbnail, $inspiry_allowed_html_tags );
				?>
			</a>
		</div>
		<div class="detail">
			<ul class="social-icons">
				<?php
				echo !empty( $author_fb ) ? '<li><a href="' . esc_url( $author_fb ) . '"><i class="fab fa-facebook"></i></a></li>' : '';
				echo !empty( $author_tw ) ? '<li><a href="' . esc_url( $author_tw ) . '"><i class="fab fa-twitter"></i></a></li>' : '';
				echo !empty( $author_li ) ? '<li><a href="' . esc_url( $author_li ) . '"><i class="fab fa-linkedin"></i></a></li>' : '';
				echo !empty( $author_pin) ? '<li><a href="' . esc_url( $author_pin ) . '"><i class="fab fa-pinterest-p"></i></a></li>' : '';
				echo !empty( $author_insta ) ? '<li><a href="' . esc_url( $author_insta ) . '"><i class="fab fa-instagram"></i></a></li>' : '';
				?>
			</ul>
			<h5><a href="<?php echo get_author_posts_url( $author_id ); ?>"><?php echo esc_html( $author_name ); ?></a></h5>
			<?php echo !empty( $author_job_title ) ? '<span class="type">' . esc_html( $author_job_title ) . '</span>' : ''; ?>
			<p><?php echo wp_kses( $author_desc, $inspiry_allowed_html_tags ); ?></p>
		</div>
	</div>
	<?php
}
?>