<?php
/**
 * Related Posts
 */

global $post,
       $inspiry_skip_post;

$tag_ids = array();
if( has_tag( '', $inspiry_skip_post ) ) {
    $current_tags = get_the_tags( $inspiry_skip_post );
	if( !empty( $current_tags ) && is_array( $current_tags ) ) {
		foreach ( $current_tags as $tag ) {
			$tag_ids[] = $tag->term_id;
		}
	}
}

$related_titles = inspiry_get_option( 'inspiry_related_posts_title' );
$related_count = inspiry_get_option( 'inspiry_related_posts_count' );
if( empty( $related_count ) ){
	$related_count = 3;
}

$related_query = new WP_Query( array (
    'post_type' => 'post',
    'ignore_sticky_posts' => 1,
    'no_found_rows' => true, // in case of no pagination needed
    'update_post_meta_cache' => false, // post meta will not be utilized
    'update_post_term_cache' => false, // taxonomy terms will not be utilized.
    'posts_per_page' => $related_count, // best practice other than -1 value
    'meta_query' => array(array('key' => '_thumbnail_id')), // get posts only with thumbnails
    'tag__in' => $tag_ids,
    'post__not_in' => array($inspiry_skip_post)
) ) ;
if($related_query->have_posts()):
?>
    <div class="separator-post"></div>
    <div class="related-posts">

        <?php echo !empty( $related_titles ) ? '<h3>' . esc_html( $related_titles ) . '</h3>' : ''; ?>

        <div class="row">
        <?php
        while( $related_query->have_posts() ) :
            $related_query->the_post();
            global $post;

            $tags = wp_get_post_tags( $post->ID );
            $tag_count = count( $tags );
            $counter = 1;
            ?>
            <div class="col-sm-4">
                <div class="related-single">
                    <a class="related-post-thumb" href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'inspiry-whats-hot-recipe-thumbs-small' ); ?></a>
                    <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                    <?php
                    if( $tag_count > 0 ) {
                        ?>
                        <span>
                        in
                        "<?php
	                        if( !empty( $tags ) && is_array( $tags ) ) {
		                        foreach ( $tags as $tag ) {
			                        $sep = ( $counter < $tag_count ) ? ', ' : '';
			                        echo '<a href="' . esc_url( get_term_link( $tag->term_id ) ) . '">' . esc_html( $tag->name ) . esc_html( $sep ) . '</a>';
			                        $counter ++;
		                        }
	                        }
                            ?>"
                    </span>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <?php
        endwhile;
        ?>
        </div>
    </div>
<?php
endif;
wp_reset_postdata();
?>