<?php
/**
 * Listing Item for recipes
 */
global $post;
$ingre_box_status = inspiry_get_option( 'inspiy_listing_ingre_box_status' );
$ingredients = get_post_meta( $post->ID, 'inspiry_recipe_ingredient_sections_group', true );
$nut_box_status = inspiry_get_option( 'inspiy_listing_nut_box_status' );
$nutrients = get_post_meta( $post->ID, 'inspiry_recipe_nutrients', true );
?>
<div class="listing">
	<div class="listing-wrapper">
		<div class="image">
			<a href="<?php the_permalink(); ?>">
				<?php
				if(has_post_thumbnail()) {
					the_post_thumbnail( 'inspiry-recipe-listing-thumbs' );
				} else {
					echo '<img src="' . get_template_directory_uri() . '/images/nothumbnail.png" alt"' . the_title_attribute( array( 'echo' => false ) ) . '" />';
				}
				?>
			</a>
			<?php
			if( $ingre_box_status && !empty( $ingredients ) ){
				?>
				<span class="extra-view ingredients"><span class="text"><?php esc_html_e( 'View Ingredients', 'inspiry-recipe-press' ); ?></span> <i class="far fa-list-alt"></i></span>
				<?php
			}
			if( $nut_box_status && !empty( $nutrients ) ){
				?>
				<span class="extra-view nutrients"><i class="fab fa-nutritionix"></i> <span class="text"><?php esc_html_e( 'View Nutrients', 'inspiry-recipe-press' ); ?></span></span>
				<?php
			}
			?>
		</div>
		<?php
		// including ingredients and metaboxes for listing
		get_template_part( 'partials/recipe/listing-ingre-nuts' );
		?>

		<div class="detail">
			<h4><a href="<?php the_permalink(); ?>"><?php echo wp_trim_words( get_the_title(), 7 ); ?></a></h4>
			<p>
				<?php
				echo wp_trim_words( get_the_excerpt(), 21 );
				?>
			</p>
			<div class="meta-listing">
				<ul class="post-meta">
					<?php
					if(function_exists('rwmb_meta')){
						$author_type = rwmb_meta('inspiry_recipe_chef_display_option');
						if( $author_type == 'chef_info' ){
							$author_id = rwmb_meta('inspiry_recipe_chefs');
							if( $author_id > 0 && !empty( get_permalink( $author_id ) ) ){
								echo '<li class="author"><i class="fas fa-user"></i> <a href="' . get_permalink( $author_id ) . '">' . get_the_title( $author_id ) . '</a></li>';
							}

						} elseif ( $author_type == 'post_author_info' ) {
							$display_name = get_the_author_meta( 'display_name' );
							if( !empty( $display_name ) ){
								printf(
									_x( '%s', 'author byline', 'inspiry-recipe-press' ),
									sprintf(
										'<li class="author"><i class="fas fa-user"></i> <a class="vcard fn" href="%1$s">%2$s</a></li>',
										esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
										esc_html( get_the_author_meta( 'display_name' ) )
									)
								);
							}
						}
					}
					?>
					<li class="date"><i class="far fa-calendar-alt"></i> <?php the_time('d/m/Y'); ?></li>
				</ul>
				<div class="rating-box">
					<?php
					if( function_exists( 'inspiry_recipe_rating' ) ){
						inspiry_recipe_rating( $post->ID );
					}
					if( function_exists( 'inspiry_get_avg_rating' ) ){
						?><span class="rating-figure">(<?php echo inspiry_get_avg_rating( $post->ID ); ?> / 5)</span><?php
					}
					?>
				</div>
			</div>
		</div>
	</div>
</div>