<?php
/**
 * Recipe single header variation one
 */

global $inspiry_single_recipe,
       $inspiry_allowed_html_tags,
       $post;

$gallery_images = inspiry_get_post_meta(
    'inspiry_recipe_recipe_images',
    array(
        'type' => 'image_advanced',
        'size' => 'inspiry-recipe-single-slider-image-v1'
    ),
    $post->ID
);

$images = array();

if ( ! empty( $gallery_images ) ) {

    $count = 0;
    foreach( $gallery_images as $gallery_image ) {
        $caption = ( !empty( $gallery_image['caption'] ) ) ? $gallery_image['caption'] : $gallery_image['alt'];
        $images[$count]['full_url'] = $gallery_image['full_url'];
        $images[$count]['caption'] = $caption;
        $images[$count]['post_id'] = $post->ID;
        $images[$count]['url'] = $gallery_image['url'];
        $images[$count]['thumbnail'] = wp_get_attachment_image_src($gallery_image['ID'], 'inspiry-recipe-single-slider-thumbnail');
        $images[$count]['gallery_title'] = $gallery_image['title'];
        $count++;
    }
}

$video_url = $inspiry_single_recipe->get_recipe_meta('inspiry_recipe_video_url');
$yield = $inspiry_single_recipe->get_yield();
$servings = $inspiry_single_recipe->get_servings();
$prep_time = $inspiry_single_recipe->get_prep_time(true, '<span>h</span>', '<span>m</span>');
$cook_time = $inspiry_single_recipe->get_cook_time(true, '<span>h</span>', '<span>m</span>');
$ready_in = $inspiry_single_recipe->get_ready_in(true, '<span>h</span>', '<span>m</span>');
$schema_prep_time = $schema_cook_time = false;
// times for schema
if( function_exists( 'minutes_to_schema_time' ) ){
	$schema_prep_time = minutes_to_schema_time($inspiry_single_recipe->get_prep_time( false ));
	$schema_cook_time = minutes_to_schema_time($inspiry_single_recipe->get_cook_time( false ));
}
?>
<div class="single-recipe-detail">
    <div class="wrapper-recipe-heading">
        <div class="heading">

	        <?php
	        if( get_the_title() ):
	        ?>
		        <h1 class="single-recipe-title" itemprop="name"><?php the_title(); ?></h1>
		        <?php
	        endif;
	        ?>
            <meta itemprop="datePublished" content="<?php the_time( 'Y-d-j' ); ?>">
            <?php
            $rating_box_class = ( !inspiry_already_voted( $post->ID ) ) ? 'not-already-rated' : 'rated-already'
            ?>
	        <div class="rating-box <?php echo esc_attr( $rating_box_class ); ?>">
                <span class="rating-icons">
                    <?php
                    $rate_avg = false;
                    if( function_exists( 'inspiry_get_avg_rating' ) ){
	                    $rate_avg = inspiry_get_avg_rating( $post->ID );
                    }

                    if( function_exists( 'inspiry_recipe_rating' ) ){
	                    inspiry_recipe_rating( $post->ID );
                    }
                    ?>
                </span>
                <span class="rating-figure" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
                    <?php
                    if( function_exists( 'inspiry_get_vote_count' ) ){
	                    ?>
	                    <meta itemprop="worstRating" content="1">
	                    <meta itemprop="bestRating" content="5">
	                    <meta itemprop="ratingCount" content="<?php echo inspiry_get_vote_count( $post->ID ); ?>">
	                    <?php
                    }

	                if( function_exists( 'inspiry_get_avg_rating' ) ){
		                ?>
		                <meta itemprop="ratingValue" content="<?php echo floatval( inspiry_get_avg_rating( $post->ID ) ); ?>">
		                ( <?php echo floatval( inspiry_get_avg_rating( $post->ID ) ); ?> <?php esc_html_e( 'out of', 'inspiry-recipe-press' ); ?> 5 )
		                <?php
	                } ?>
                </span>
                <?php
                if( function_exists( 'inspiry_recipe_rate_form' ) ){
	                inspiry_recipe_rate_form( $post->ID );
                }
                ?>
            </div>
        </div>
        <?php
        if( !empty( $video_url ) ) {
            ?>
            <div class="recipe-media" itemprop="video" itemscope itemtype="http://schema.org/VideoObject">
                <meta itemprop="name" content="<?php the_title_attribute( array( 'echo' => false ) ); ?>">
                <meta itemprop="thumbnailURL" content="<?php the_post_thumbnail_url( 'inspiry-recipe-small-thumbs' ); ?>" />
                <meta itemprop="description" content="<?php the_excerpt(); ?>" />
                <meta itemprop="uploadDate" content="<?php the_time( 'c' ); ?>" />
                <a class="button-dark watch-video swipebox"
                   href="<?php echo esc_url( $video_url ); ?>"><?php esc_html_e( 'Watch Video', 'inspiry-recipe-press' ); ?>
                </a>
            </div>
            <?php
        }
        ?>
    </div>

        <div class="slider-recipe-detail">
            <?php
            if( !empty( $gallery_images ) && count($gallery_images) > 1 ){
            ?>
            <div class="wrapper-slider-detail">
                <div class="top-slider">
                    <div id="single-slider-flex" class="flexslider slider-detail">
                        <ul class="slides">
                            <?php
                            foreach ( $images as $image ) {
                                echo '<li>';
                                echo '<a class="swipebox" data-rel="gallery-' . esc_attr( $image['post_id'] ) . '" href="' . esc_url( $image['full_url'] ) . '" title="' . esc_attr( $image['caption'] ) . '">';
                                echo '<img itemprop="image" src="' . esc_url( $image['url'] ) . '" alt="' . esc_attr( $image['gallery_title'] ) . '" />';
                                echo '</a>';
                                echo '</li>';
                            }
                            ?>
                        </ul>
                    </div>
                <span class="custom-arrows wider">
                    <span class="left-arrow slick-arrow" data-direction="prev" style="display: table-cell;">
                        <i class="fas fa-arrow-left"></i>
                    </span>
                    <span class="right-arrow slick-arrow" data-direction="next" style="display: table-cell;">
                        <i class="fas fa-arrow-right"></i>
                    </span>
                </span>
                </div>
                <div id="recipe-slider-carousel">
                    <div id="recipe-carousel-flex">
                        <ul class="slides">
                            <?php
                            foreach ( $images as $image ) {
                                echo '<li><img itemprop="image" src="' . esc_url( $image['thumbnail'][0] ) . '" alt="' . esc_attr( $image['gallery_title'] ) . '"/></li>';
                            }
                            ?>
                        </ul>
                    </div>
                    <span class="custom-arrows wider">
                        <span class="left-arrow slick-arrow" data-direction="prev" style="display: table-cell;">
                            <i class="fas fa-arrow-left"></i>
                        </span>
                        <span class="right-arrow slick-arrow" data-direction="next" style="display: table-cell;">
                            <i class="fas fa-arrow-right"></i>
                        </span>
                    </span>
                </div>
            </div>
            <?php
            // In case of gallery images are not available
            } elseif ( has_post_thumbnail() ) {
                the_post_thumbnail( 'inspiry-recipe-single-slider-image-v1', array( 'itemprop' => 'image' ) );
            }

            // Starting Recipe Meta Information
            if(
                !empty( $yield ) ||
                !empty( $servings ) ||
                !empty( $prep_time ) ||
                !empty( $cook_time ) ||
                !empty( $ready_in )
            ) {
                $timings_control = inspiry_get_option( 'inspiry_recipe_timings_control' );
                ?>
                <ul class="recipe-specs">
                    <?php
                    if( $yield ){ echo '<li><span class="count" itemprop="recipeYield">' . wp_kses( $yield, $inspiry_allowed_html_tags ) . '</span><span class="text">' . esc_html__( 'Yield', 'inspiry-recipe-press' ) . '</span></li>'; }
                    if( $servings ){
	                    echo '<li class="servings">';
	                    echo '<span class="decrease">-</span>';
	                    echo '<span class="count">' . wp_kses( $servings, $inspiry_allowed_html_tags ) . '</span>';
	                    echo '<span class="text">' . esc_html__( 'Servings', 'inspiry-recipe-press' ) . '</span>';
	                    echo '<span class="increase">+</span>';
	                    echo '</li>';
                    }
                    if( $timings_control == 1 ) {
                        if( $prep_time && $prep_time ){ echo '<li><span class="count">' . wp_kses( $prep_time, $inspiry_allowed_html_tags ) . '</span><span class="text">' . esc_html__( 'Prep Time', 'inspiry-recipe-press' ) . '</span></li>'; }
                        if( $cook_time ){ echo '<li><span class="count">' . wp_kses( $cook_time, $inspiry_allowed_html_tags ) . '</span><span class="text">' . esc_html__( 'Cook Time', 'inspiry-recipe-press' ) . '</span></li>'; }
                        if( $ready_in ){ echo '<li><span class="count">' . wp_kses( $ready_in, $inspiry_allowed_html_tags ) . '</span><span class="text">' . esc_html__( 'Ready In', 'inspiry-recipe-press' ) . '</span></li>'; }
                    }
                    ?>
                </ul>
	            <meta itemprop="prepTime" content="<?php echo esc_attr( $schema_prep_time ); ?>" />
	            <meta itemprop="cookTime" content="<?php echo esc_attr( $schema_cook_time ); ?>" />
                <?php
            }
            ?>
        </div>
</div>