<?php
/**
 * Recipe single header variation two
 */

global $inspiry_single_recipe,
       $inspiry_allowed_html_tags,
       $post;

$steps = get_post_meta( $post->ID, 'inspiry_recipe_method_steps_group', true );

if( !empty( $steps ) && is_array( $steps ) ) {

    $steps_title = get_post_meta( $post->ID, 'inspiry_recipe_method_steps_title', true );
    $count = 1;
    ?>
    <div class="recipe-steps" itemprop="recipeInstructions">
        <?php

        echo !empty( $steps_title ) ? '<h3 class="lined">' . esc_html( $steps_title ) . '</h3>' : '';

        echo '<dl class="accordion clearfix">';

        foreach( $steps as $step ){
            if(
                !empty( $step['inspiry_recipe_step_title'] ) ||
                !empty( $step['inspiry_recipe_step_details'] )
            ) {
                ?>
                <dt class="<?php if( $count == 1 ){ echo esc_attr( 'current' ); } ?>">
                <span class="arrow">
                    <i class="fas fa-minus"></i>
                    <i class="fas fa-minus stand"></i>
                </span>
                    <?php echo esc_html( $step['inspiry_recipe_step_title'] ); ?>&nbsp;
                </dt>
                <dd>
                    <div class="row">
                        <?php
                        $class = 'col-sm-12';
                        if ( !empty( $step['inspiry_recipe_step_image'][0] ) ) {
                            $attachment_id = $step['inspiry_recipe_step_image'][0];
                            $full_url = wp_get_attachment_url( $attachment_id );
                            $step_image = wp_get_attachment_image( $attachment_id, 'inspiry-recipe-single-slider-image-v1' );
                            ?>
                            <div class="col-sm-4">
                                <a href="<?php echo esc_url( $full_url ) ?>" data-rel="recipe-steps-<?php echo esc_attr( $post->ID ); ?>"
                                   class="swipebox">
                                    <?php echo wp_kses( $step_image, $inspiry_allowed_html_tags ); ?>
                                </a>
                            </div>
                            <?php
                            $class = 'col-sm-8';
                        }
                        ?>

                        <div class="<?php echo esc_attr( $class ); ?>">
                            <p><?php echo wp_kses( $step['inspiry_recipe_step_details'], $inspiry_allowed_html_tags ); ?></p>
                        </div>

                    </div>
                </dd>
                <?php
            }
            $count++;
        }

        echo '</dl>';
        ?>
    </div>
    <?php
}
?>
