<?php

global $inspiry_allowed_html_tags;

get_header();

// Adding page banner section
get_template_part( 'partials/header/banner' );

// Get all custom post meta information related to chefs page template
$chefs_meta_data = get_post_custom( get_the_ID() );
$current_chef_id = false;
?>
    <section class="wrapper-main-contents all-chefs">
        <div class="container">
            <?php
            if ( have_posts() ) :
                while ( have_posts() ) :
                    the_post();
                    global $post, $inspiry_chef;
	                $current_chef_id = get_the_ID();
                    $inspiry_chef = new Inspiry_Chef( $current_chef_id );
                ?>
                <?php
                endwhile;
            endif;
            ?>
            <div class="wrapper-head-chef">
                <div class=head-chef>
                    <?php
                    if(has_post_thumbnail()) :
                        ?>
                        <div class="left-side">
                            <a href="<?php the_permalink(); ?>">
                                <?php the_post_thumbnail('inspiry-chef-listing-thumbnail'); ?>
                            </a>
                        </div>
                        <?php
                    endif;
                    ?>
                    <div class="right-side">
                        <h3><?php the_title(); ?></h3>
                        <?php
                        $chef_job_title = $inspiry_chef->get_job_title();
                        if( !empty( $chef_job_title ) ){ echo '<span class="type">'. esc_html( $chef_job_title ) .'</span>'; }

                        $recipe_types = $inspiry_chef->get_taxonomy_terms('recipe-type', 'slug');
                        if(!empty($recipe_types)) {
                            $types_array = explode(', ', $recipe_types);
                            $num = 1;
                            $count = count($types_array);
                            ?>
                            <ul class="expertise">
                                <li class="experts-in"><?php esc_html_e( 'Experts In:', 'inspiry-recipe-press' ); ?></li>
                                <?php
                                if( !empty( $types_array ) && is_array( $types_array ) ) {
	                                foreach ( $types_array as $type ) {
		                                $full_term = get_term_by( 'slug', $type, 'recipe-type' );
		                                $icon      = get_term_meta( $full_term->term_id, 'inspiry_type_image_advanced', true );
		                                $col       = ( $count < $num ) ? '' : ',&nbsp; &nbsp; ';
		                                if ( ! empty( $icon ) ) {
			                                $url   = wp_get_attachment_url( $icon );
			                                $image = '<img src="' . esc_url( $url ) . '" alt="' . esc_url( $full_term->name ) . '" /> ';
			                                $col   = ( $count <= $num ) ? '' : ' &nbsp; &nbsp; ';
		                                } else {
			                                $icon = get_term_meta( $full_term->term_id, 'inspiry_type_image_svg_code', true );
			                                if ( ! empty( $icon ) && !is_wp_error( $icon ) ) {
				                                $image = '<span class="icon-container">' . $icon . '</span> ';
				                                $col   = ( $count <= $num ) ? '' : ' &nbsp; &nbsp; ';
			                                } else {
				                                $image = false;
			                                }
		                                }

		                                if( $num != 1 ){ echo '<li>' . esc_html( $col ); } else { echo '<li>'; }
		                                echo '<a href="' . get_term_link( $full_term->term_id ) . '">' . wp_kses( $image, $inspiry_allowed_html_tags ) . esc_html( $full_term->name ) . '</a>';
		                                echo '</li>';
		                                $num ++;
	                                }
                                }
                                ?>
                            </ul>
                            <?php
                        }
                            ?>
                        <div class="separator-chef"></div>
                        <p>
                            <?php
                            $chef_bio = $inspiry_chef->get_bio();
                            echo wp_kses( $chef_bio, $inspiry_allowed_html_tags );
                            ?>
                        </p>
                        <br/>

                        <ul class="social-icons-chef">
                            <?php
                            $social_fb = $inspiry_chef->get_facebook();
                            $social_tw = $inspiry_chef->get_twitter();
                            $social_li = $inspiry_chef->get_linkedin();
                            $social_pin = $inspiry_chef->get_pinterest();
                            $social_ig = $inspiry_chef->get_instagram();

                            if( !empty( $social_fb ) ){ echo '<li><a href="'. esc_url( $social_fb ) .'"><i class="fab fa-facebook"></i></a></li>'; }
                            if( !empty( $social_tw ) ){ echo '<li><a href="'. esc_url( $social_tw ) .'"><i class="fab fa-twitter"></i></a></li>'; }
                            if( !empty( $social_gp ) ){ echo '<li><a href="'. esc_url( $social_gp ) .'"><i class="fab fa-linkedin"></i></a></li>'; }
                            if( !empty( $social_pin ) ) { echo '<li><a href="'. esc_url( $social_pin ) .'"><i class="fab fa-pinterest-p"></i></a></li>'; }
                            if( !empty( $social_ig ) ) { echo '<li><a href="'. esc_url( $social_ig ) .'"><i class="fab fa-instagram"></i></a></li>'; }
                            ?>
                        </ul>
                    </div>

                </div>
            </div>
            <?php
            /*
             * Chef Recipes Query
             */

            if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
            elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
            else { $paged = 1; }

            $chef_recipes_title = inspiry_get_option( 'inspiry_chef_single_recipes_title' );
            $number_of_recipes = inspiry_get_option( 'inspiry_chefs_single_recipes_count' );

            if( empty( $chef_recipes_title ) ){
	            $chef_recipes_title = esc_html__( 'Chef\'s Recipes', 'inspiry-recipe-press' );
            }
            if(!$number_of_recipes){
	            $number_of_recipes = 6;
            }

            global $paged;
            $chef_recipes_arg = array(
                'post_type' => 'inspiry_recipes',
                'posts_per_page' => $number_of_recipes,
                'paged' => $paged,
                'meta_query' => array(
                    array(
                        'key' => 'inspiry_recipe_chefs',
                        'value' => $current_chef_id,
                        'compare' => '='
                    )
                )
            );

            $chef_recipes_query = new WP_Query( $chef_recipes_arg );

            if($chef_recipes_query->have_posts()):
                $list_style = 'list';
                if(isset($_GET['list-style'])){
                    $list_style = ($_GET['list-style'] == 'grid') ? 'grid' : 'list';
                }
            ?>
            <div class="row">
                <div class="col-md-12">
                    <div class="recipe-set">
                        <div class="listing-buttons">
                            <span class="grid <?php if( $list_style == 'grid' ){ echo esc_attr( 'current' ); } ?>"><i class="fas fa-th-large"></i></span>
                            <span class="list <?php if( $list_style != 'grid' ){ echo esc_attr( 'current' ); } ?>"><i class="fas fa-bars"></i></span>
                        </div>
                        <h2><?php echo esc_html( $chef_recipes_title ); ?></h2>

                        <div class="recipe-listing listing-<?php echo esc_attr( $list_style ); ?>">

                            <?php
                            while($chef_recipes_query->have_posts()):
                                $chef_recipes_query->the_post();
	                            global $post;

	                            get_template_part( 'partials/recipe/recipe-listing-item' );

                            endwhile;

                            inspiry_pagination( $chef_recipes_query );
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            endif;
            ?>

        </div>
    </section>

<?php
get_footer();
?>