<?php
/*
 * Single template for Recipe Post Type
 */

get_header();

get_template_part( 'partials/header/banner' );

global $post;

$variation = inspiry_get_option( 'inspiry_recipe_single_header_var' );
$method_var = inspiry_get_option( 'inspiry_recipe_single_steps_var' );

if ( is_active_sidebar( 'recipe-single-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>
    <div class="recipes-home-body inner-page">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( $page_contents_classes ); ?>" itemscope itemtype="http://schema.org/Recipe">
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) :
                            the_post();

                            global $inspiry_single_recipe;
                            $inspiry_single_recipe = new Inspiry_Recipes( get_the_ID() );
                            ?>
                            <div class="recipe-set">
                                <div class="wrapper-detail-contents <?php if( $variation == 2 ){ echo esc_attr( 'detail-2' ); } ?>">
                                    <?php
                                    /*
                                     * Recipe single header variations
                                     */
                                    if($variation == 2){
                                        get_template_part('partials/recipe/single/header-two');
                                    } else {
                                        get_template_part('partials/recipe/single/header-one');
                                    }
                                    ?>
                                    <div class="recipe-detail-body">
                                        <?php
                                        if($variation == 1) {
                                            ?>
                                            <a href="#" class="print-button"><i
                                                    class="fas fa-print"></i><?php esc_html_e('Print Recipe', 'inspiry-recipe-press'); ?>
                                            </a>
                                            <?php
                                        } else {
                                            ?>
                                            <div id="recipe-ratings" class="rating-box">
                                                <?php
                                                if( function_exists( 'inspiry_recipe_rate_form' ) ){
	                                                inspiry_recipe_rate_form( $post->ID );
                                                }

                                                if( function_exists( 'inspiry_recipe_rating' ) ) {
	                                                inspiry_recipe_rating( $post->ID );
                                                }
                                                ?>
                                                <span class="rating-figure" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
                                                    <meta itemprop="worstRating" content = "1">
                                                    <meta itemprop="bestRating" content = "5">
	                                                <?php
	                                                if( function_exists( 'inspiry_get_vote_count' ) ){
		                                                ?><meta itemprop="reviewCount" content="<?php echo inspiry_get_vote_count( $post->ID ); ?>"><?php
	                                                }
	                                                if( function_exists( 'inspiry_get_avg_rating' ) ){
		                                                ?>
		                                                <meta itemprop="ratingValue" content="<?php echo inspiry_get_avg_rating( $post->ID ); ?>">
		                                                (<?php echo inspiry_get_avg_rating( $post->ID ); ?> / 5)
		                                                <?php
	                                                }
	                                                ?>
                                                </span>
                                            </div>
                                            <?php
                                        }
                                        ?>

                                        <ul class="pre-tags">
                                            <?php
                                            $cuisine = $inspiry_single_recipe->get_taxonomy_first_term('inspiry-cuisine', 'slug');
                                            $cuisine_term = get_term_by('slug', $cuisine, 'inspiry-cuisine');
                                            $course = $inspiry_single_recipe->get_taxonomy_first_term('inspiry-course', 'slug');
                                            $course_term = get_term_by('slug', $course, 'inspiry-course');
                                            $level = $inspiry_single_recipe->get_taxonomy_first_term('skill-level', 'slug');
                                            $level_term = get_term_by('slug', $level, 'skill-level');
                                            $recipe_type = $inspiry_single_recipe->get_taxonomy_first_term('recipe-type', 'slug');
                                            $recipe_type_term = get_term_by('slug', $recipe_type, 'recipe-type');

                                            echo !empty($cuisine) ? '<li><span itemprop="recipeCuisine">'. esc_html__( 'Cuisine: ', 'inspiry-recipe-press' ) .' </span><a href="' . esc_url( get_term_link( $cuisine, 'inspiry-cuisine') ) . '">'. esc_html( $cuisine_term->name ) . '</a></li>' : '';
                                            echo !empty($course) ? '<li><span>'. esc_html__( 'Course:', 'inspiry-recipe-press' ) . '</span> <a href="' . esc_url( get_term_link( $course, 'inspiry-course') ) .'">' . esc_html( $course_term->name ) . '</a></li>' : '';
                                            echo !empty($level) ? '<li><span>'. esc_html__( 'Skill Level: ', 'inspiry-recipe-press' ) . ' </span><a href="' . esc_url( get_term_link( $level, 'skill-level') ) .'">' . esc_html( $level_term->name ) . '</a></li>' : '';
                                            ?>
                                        </ul>
	                                    <?php echo !empty($recipe_type) ? '<meta itemprop="recipeCategory" content="' . esc_attr( $recipe_type_term->name ) . '">' : ''; ?>
                                        <div class="separator-post"></div>

                                        <div itemprop="description"><?php the_content(); ?></div>
	                                    <div class="clearfix"></div>

                                        <?php

                                        /*
                                         * Recipe ingredients and nutrients box
                                         */
                                        get_template_part('partials/recipe/single/ingredients-nutrients');


                                        /*
                                         * Recipe single method step variations
                                         */
                                        if($method_var == 2){
                                            get_template_part('partials/recipe/single/steps-2');
                                        } else {
                                            get_template_part('partials/recipe/single/steps-1');
                                        }


                                        /*
                                         * Recipe single method step variations
                                         */
                                        get_template_part('partials/recipe/single/tips-variations');


                                        /*
                                         * Recipe tags and social icons
                                         */
                                        get_template_part('partials/recipe/single/tags-social');
                                        ?>
                                    </div>

                                    <?php
                                    /*
                                     * Recipe chef or author
                                     */
                                    if( inspiry_get_option( 'inspiry_recipe_chef_info' ) == 1){
                                        get_template_part('partials/recipe/single/recipe-chef');
                                    }

                                    /*
                                     * Related recipes
                                     */
                                    if( inspiry_get_option( 'inspiry_related_recipes' ) == 1){
                                        get_template_part('partials/recipe/single/related-recipes');
                                    }

                                    /*
                                     * Comments
                                     */
                                    if ( inspiry_get_option( 'inspiry_recipe_comments' ) ) {
                                        if ( comments_open() || '0' != get_comments_number() ) :
                                            comments_template();
                                        endif;
                                    }
                                    ?>
                                </div>
                            </div>
                            <?php
                        endwhile;
                    endif;
                    ?>
                </div>
				<?php
				if ( is_active_sidebar( 'recipe-single-sidebar' ) ) {
					?>
	                <div class="col-md-4 col-lg-3">
	                    <?php get_sidebar( 'recipe-single' ); ?>
	                </div>
					<?php
				}
				?>
            </div>
        </div>
    </div>

<?php

get_footer();