<?php
/*
 * Single Post Template
 */

get_header();

get_template_part( 'partials/header/banner' );

if ( is_active_sidebar( 'default-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>
    <div class="wrapper-main-contents">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( $page_contents_classes ); ?>">
                    <!--single post-->
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) :
                            the_post();
                            global $post;
                            global $inspiry_skip_post;

                            $inspiry_skip_post = $post->ID;

                            $format = get_post_format( get_the_ID() );
                            if ( false === $format ) {
                                $format = 'standard';
                            }

                            if ( $format == 'quote' ) {
	                            $quote_text = get_post_meta( $post->ID, 'inspiry_meta_quote_text', true );
                            }
                            ?>
                            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <?php
                                // image, gallery or video based on format
                                if ( in_array( $format, array( 'standard', 'image', 'gallery', 'video' ) ) ) :
                                    get_template_part( 'partials/post/entry-format', $format );
                                endif;

                                if( $format != 'quote' || empty( $quote_text ) ) :
                                    ?>

                                    <div class="post-contents">
                                        <div class="post-contents-inner">
                                            <?php

                                            if( $format == 'audio' ) :
                                                get_template_part( 'partials/post/entry-format', $format );
                                            endif;

                                            // title
                                            get_template_part( 'partials/post/entry-title' );

                                            // meta
                                            get_template_part( 'partials/post/entry-meta' );

                                            ?>
                                            <div class="post-editor-contents">
                                                <?php the_content(); ?>
	                                            <div class="clearfix"></div>
                                            </div>
                                            <?php


                                            wp_link_pages( array(
                                                'before' => '<div class="page-links pagination">',
                                                'after'  => '</div>',
                                                'link_before' => '<span>',
                                                'link_after' => '</span>'
                                            ) );

                                            if( inspiry_get_option( 'inspiry_post_bottom_tags' ) != 0
                                                && has_tag()
                                            ) {
                                                the_tags('<ul class="post-tags"><i class="fas fa-tags"></i><li>', ',</li> <li>', '</li></ul>');
                                            }

	                                        if( inspiry_get_option( 'inspiry_blog_social_links' ) != 0 ) {
		                                        ?>
		                                        <div class="post-social-icons">
			                                        <?php
			                                        if( function_exists( 'cn_social_icon') ){
				                                        $attr = array (
					                                        'width' => '24', //input only number, in pixel
					                                        'height' => '24', //input only number, in pixel
					                                        'margin' => '4', //input only number, in pixel
					                                        'display' => 'horizontal', //horizontal | vertical
					                                        'alignment' => 'left', //center | left | right
					                                        'attr_id' => 'rp_icon_id', //add custom id to <ul> wraper
					                                        'attr_class' => 'rp_icon_class', //add custom class to <ul> wraper
				                                        );
				                                        echo cn_social_icon( $attr );
			                                        }
			                                        ?>
		                                        </div>
			                                        <?php
	                                        }

                                            if( inspiry_get_option( 'inspiry_post_next_prev_links' ) != 0 ) {
                                                ?>
                                                <div class="prev-next-links">
                                                <span class="previous-post-arrow">
                                                    <?php previous_post_link( '%link', '<i class="fas fa-arrow-left"></i>' . esc_html__( 'previous post', 'inspiry-recipe-press' ) ); ?>
                                                </span>
                                                <span class="next-post-arrow">
                                                    <?php next_post_link('%link', esc_html__( 'next post ', 'inspiry-recipe-press' ) . '<i class="fas fa-arrow-right"></i>'); ?>
                                                </span>
                                                </div>
                                                <?php
                                            }

                                            // Including related posts section
                                            if( inspiry_get_option( 'inspiry_related_posts' ) != 0 ){
                                                get_template_part('partials/post/single/related-posts');
                                            }

                                            // Including post author section
                                            if( inspiry_get_option( 'inspiry_post_author_info' ) != 0 ){
                                                get_template_part('partials/post/single/post-author');
                                            }

                                            /* Comments */
                                            if ( comments_open() || '0' != get_comments_number() ) :
                                                comments_template();
                                            endif;
                                            ?>
                                        </div>
                                    </div>
                                    <?php
                                else :

                                    get_template_part( 'partials/post/entry-format', $format );

                                endif;
                                ?>
                            </article>
                            <?php
                        endwhile;
                    endif;
                    ?>
                    <!--single post-->
                </div>

	            <?php
	            if( is_active_sidebar( 'default-sidebar' ) ) {
		            ?>
		            <div class="col-md-4 col-lg-3">
			            <?php get_sidebar(); ?>
		            </div>
		            <?php
	            }
	            ?>
            </div>

        </div>
    </div>
<?php

get_footer();