<?php
/*
 * Recipe Type Taxonomy Template
 */

global $wp_query;

get_header();

get_template_part( 'partials/header/banner' );

$list_style = 'list';
if( isset( $_GET['list-style'] ) ){
	$list_style = ( $_GET['list-style'] == 'grid' ) ? 'grid' : 'list';
} else {
	$list_style = inspiry_get_option( 'inspiry_recipe_default_view' );
}
$queried_object = get_queried_object();
$term_title = $queried_object->name;
$recipes_count = inspiry_get_option( 'inspiry_recipes_listing_count' );
if( empty( $recipes_count ) ){
	$recipes_count = 6;
}

if ( is_active_sidebar( 'recipe-listing-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>
    <div class="recipes-home-body inner-page">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( $page_contents_classes ); ?>">
                    <div class="recipe-set">
                        <div class="listing-buttons">
                            <span class="grid <?php if( $list_style == 'grid' ){ esc_attr( 'current' ); } ?>"><i class="fas fa-th-large"></i></span>
                            <span class="list <?php if( $list_style != 'grid' ){ esc_attr( 'current' ); } ?>"><i class="fas fa-bars"></i></span>
                        </div>
                        <h2><?php echo esc_html( $term_title ); ?></h2>

                        <div class="recipe-listing listing-<?php echo esc_attr( $list_style ); ?>">

                            <?php
                            global $paged;
                            $sort_query_args = array(
	                            'posts_per_page'    => $recipes_count,
	                            'paged'             => $paged,
                            );
                            $sort_query_args = apply_filters( 'inspiry_sort_recipes', $sort_query_args );
                            query_posts( array_merge( $wp_query->query_vars, $sort_query_args ) );

                            if( have_posts() ) :
                                while( have_posts() ) :
                                    the_post();
	                                global $post;

	                                get_template_part( 'partials/recipe/recipe-listing-item' );

                                endwhile;
                            endif;
                            inspiry_pagination( $wp_query );
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                </div>
				<?php
				if( is_active_sidebar( 'recipe-listing-sidebar' ) ) {
					?>
					<div class="col-md-4 col-lg-3">
						<aside>
							<div class="side-bar">
								<?php get_sidebar( 'recipe-listing' ); ?>
							</div>
						</aside>
					</div>
					<?php
				}
				?>
            </div>

        </div>
    </div>

<?php

get_footer();